package exportParamSettingValPDF

import (
	"GoSungrow/iSolarCloud/api"
	"GoSungrow/iSolarCloud/api/GoStruct"
	"GoSungrow/iSolarCloud/api/GoStruct/valueTypes"

	"fmt"
)

const Url = "/v1/devService/exportParamSettingValPDF"
const Disabled = false
const EndPointName = "AppService.exportParamSettingValPDF"

type RequestData struct {
	TaskId    valueTypes.String  `json:"task_id" required:"true"`
}

func (rd RequestData) IsValid() error {
	return GoStruct.VerifyOptionsRequired(rd)
}

func (rd RequestData) Help() string {
	ret := fmt.Sprintf("")
	return ret
}


type ResultData   struct {
	Code            valueTypes.Integer `json:"code"`
	ReturnValPdfURL valueTypes.String `json:"return_val_pdf_url"`
}

func (e *ResultData) IsValid() error {
	var err error
	return err
}

func (e *EndPoint) GetData() api.DataMap {
	entries := api.NewDataMap()
	entries.StructToDataMap(*e, "", GoStruct.EndPointPath{})
	return entries
}
