package getOSSConfig

import (
	"GoSungrow/iSolarCloud/api"
	"GoSungrow/iSolarCloud/api/GoStruct"
	"GoSungrow/iSolarCloud/api/GoStruct/valueTypes"
	"github.com/MickMake/GoUnify/Only"
	"fmt"
)

const Url = "/v1/commonService/getOSSConfig"
const Disabled = false
const EndPointName = "AppService.getOSSConfig"

type RequestData struct {
}

func (rd RequestData) IsValid() error {
	return GoStruct.VerifyOptionsRequired(rd)
}

func (rd RequestData) Help() string {
	ret := fmt.Sprintf("")
	return ret
}


type ResultData struct {
	AccessId       valueTypes.String   `json:"accessid"`
	Dir            valueTypes.String   `json:"dir"`
	Expire         valueTypes.Integer   `json:"expire"`
	Host           valueTypes.String   `json:"host"`
	IsPrivateCloud valueTypes.Bool `json:"is_private_cloud"`
	OssFileURL     valueTypes.String   `json:"oss_file_url"`
	Policy         valueTypes.String   `json:"policy"`
	SguZipDir      valueTypes.String   `json:"sgu_zip_dir"`
	Signature      valueTypes.String   `json:"signature"`
}

func (e *ResultData) IsValid() error {
	var err error
	// switch {
	// case e.Dummy == "":
	// 	break
	// default:
	// 	err = errors.New(fmt.Sprintf("unknown error '%s'", e.Dummy))
	// }
	return err
}

//type DecodeResultData ResultData
//
//func (e *ResultData) UnmarshalJSON(data []byte) error {
//	var err error
//
//	for range Only.Once {
//		if len(data) == 0 {
//			break
//		}
//		var pd DecodeResultData
//
//		// Store ResultData
//		_ = json.Unmarshal(data, &pd)
//		e.Dummy = pd.Dummy
//	}
//
//	return err
//}

func (e *EndPoint) GetData() api.DataMap {
	entries := api.NewDataMap()

	for range Only.Once {
		entries.StructToDataMap(*e, "", GoStruct.EndPointPath{})
	}

	return entries
}
