package getSungwsGlobalConfigCache

import (
	"GoSungrow/iSolarCloud/api"
	"GoSungrow/iSolarCloud/api/GoStruct"
	"GoSungrow/iSolarCloud/api/GoStruct/valueTypes"
	"encoding/json"
	"github.com/MickMake/GoUnify/Only"

	"fmt"
)

const Url = "/v1/commonService/getSungwsGlobalConfigCache"
const Disabled = false
const EndPointName = "AppService.getSungwsGlobalConfigCache"

type RequestData struct {
}

func (rd RequestData) IsValid() error {
	return GoStruct.VerifyOptionsRequired(rd)
}

func (rd RequestData) Help() string {
	ret := fmt.Sprintf("")
	return ret
}


type ResultData struct {
	Config map[string]Config `json:"config" DataTable:"true"`
}

type Config struct {
	Id                  valueTypes.Integer `json:"id"`
	CreateTime          valueTypes.DateTime  `json:"create_time"`
	UpdateTime          valueTypes.DateTime  `json:"update_time"`

	CheckState          valueTypes.String  `json:"check_state"`
	CreateUser          valueTypes.Integer `json:"create_user"`
	DevKey              valueTypes.String  `json:"dev_key"`
	DevKeyNew           valueTypes.String  `json:"dev_key_new"`
	EnAbbr              valueTypes.String  `json:"en_abbr"`
	EntryCategory       valueTypes.Integer `json:"entry_category"`
	EntryPermission     valueTypes.Integer `json:"entry_permission"`
	IndustryStandard    valueTypes.String  `json:"industry_standard"`
	ItemType            valueTypes.Integer `json:"item_type"`
	LogicDel            valueTypes.Integer `json:"logic_del"`
	Module              valueTypes.String  `json:"module"`
	NeutralTransId      valueTypes.Integer `json:"neutral_trans_id"`
	OldId               valueTypes.Integer `json:"old_id"`
	Path                valueTypes.String  `json:"path"`
	Polysemy            valueTypes.Integer `json:"polysemy"`
	TermMaxLength       valueTypes.String  `json:"term_max_length"`
	Type                valueTypes.Integer `json:"type"`
	UpdateUser          valueTypes.Integer `json:"update_user"`

	IsAPI               valueTypes.Bool    `json:"is_api"`
	IsApp               valueTypes.Bool    `json:"is_app"`
	IsAppJs             valueTypes.Bool    `json:"is_app_js"`
	IsAutoCreate        valueTypes.Bool    `json:"is_auto_create"`
	IsConfig            valueTypes.Bool    `json:"is_config"`
	IsDB                valueTypes.Bool    `json:"is_db"`
	IsEmbeddedDevice    valueTypes.Bool    `json:"is_embedded_device"`
	IsEmsPpc            valueTypes.Bool    `json:"is_ems_ppc"`
	IsEmsPpcXML         valueTypes.Bool    `json:"is_ems_ppc_xml"`
	IsEsp               valueTypes.Bool    `json:"is_esp"`
	IsIconfigJs         valueTypes.Bool    `json:"is_iconfig_js"`
	IsImportant         valueTypes.Bool    `json:"is_important"`
	IsInsightJs         valueTypes.Bool    `json:"is_insight_js"`
	IsInsightProperties valueTypes.Bool    `json:"is_insight_properties"`
	IsIscapp            valueTypes.Bool    `json:"is_iscapp"`
	IsIshapp            valueTypes.Bool    `json:"is_ishapp"`
	IsIsolarDesign      valueTypes.Bool    `json:"is_isolar_design"`
	IsLogger            valueTypes.Bool    `json:"is_logger"`
	IsLoggerConfigJs    valueTypes.Bool    `json:"is_logger_config_js"`
	IsMachineJs         valueTypes.Bool    `json:"is_machine_js"`
	IsMenu              valueTypes.Bool    `json:"is_menu"`
	IsNewWeb            valueTypes.Bool    `json:"is_new_web"`
	IsPoint             valueTypes.Bool    `json:"is_point"`
	IsQuerytoolJs       valueTypes.Bool    `json:"is_querytool_js"`
	IsRichtext          valueTypes.Bool    `json:"is_richtext"`
	IsSasapp            valueTypes.Bool    `json:"is_sasapp"`
	IsScreenJs          valueTypes.Bool    `json:"is_screen_js"`
	IsScreenProperties  valueTypes.Bool    `json:"is_screen_properties"`
	IsScuProperties     valueTypes.Bool    `json:"is_scu_properties"`
	IsScuXML            valueTypes.Bool    `json:"is_scu_xml"`
	IsStandard          valueTypes.Bool    `json:"is_standard"`
	IsTerm              valueTypes.Bool    `json:"is_term"`
	IsWebJs             valueTypes.Bool    `json:"is_web_js"`
	IsWebProperties     valueTypes.Bool    `json:"is_web_properties"`
	IsWinet             valueTypes.Bool    `json:"is_winet"`

	Scenarios           valueTypes.String  `json:"scenarios"`
	Background          valueTypes.String  `json:"background"`
	Meaning             valueTypes.String  `json:"meaning"`
	Remark              valueTypes.String  `json:"remark"`
	ValueEnUs           valueTypes.String  `json:"value_en_us"`

	Value               valueTypes.String  `json:"value"`
	ValueDeDe           valueTypes.String  `json:"value_de_de"`
	ValueEsEs           valueTypes.String  `json:"value_es_es"`
	ValueFrFr           valueTypes.String  `json:"value_fr_fr"`
	ValueIDID           valueTypes.String  `json:"value_id_id"`
	ValueItIt           valueTypes.String  `json:"value_it_it"`
	ValueJaJp           valueTypes.String  `json:"value_ja_jp"`
	ValueKoKr           valueTypes.String  `json:"value_ko_kr"`
	ValueNlNl           valueTypes.String  `json:"value_nl_nl"`
	ValuePlPl           valueTypes.String  `json:"value_pl_pl"`
	ValuePtBr           valueTypes.String  `json:"value_pt_br"`
	ValuePtPt           valueTypes.String  `json:"value_pt_pt"`
	ValueTrTr           valueTypes.String  `json:"value_tr_tr"`
	ValueUkUa           valueTypes.String  `json:"value_uk_ua"`
	ValueViVn           valueTypes.String  `json:"value_vi_vn"`
	ValueZhTw           valueTypes.String  `json:"value_zh_tw"`

}

func (e *ResultData) UnmarshalJSON(data []byte) error {
	var err error

	for range Only.Once {
		if len(data) == 0 {
			break
		}

		type scan map[string]Config
		var d scan
		err = json.Unmarshal(data, &d)
		if err != nil {
			break
		}

		e.Config = d
	}

	return err
}

func (e *ResultData) IsValid() error {
	var err error
	return err
}

func (e *EndPoint) GetData() api.DataMap {
	entries := api.NewDataMap()
	entries.StructToDataMap(*e, "", GoStruct.EndPointPath{})
	return entries
}


const (
	I18NCHANGECOMMUNICATIONMODULESTATUS                     = "I18NCHANGECOMMUNICATIONMODULESTATUS"
	I18NCOMMON100MILLIONS                                   = "I18NCOMMON100MILLIONS"
	I18NCOMMON100Oqw                                        = "I18NCOMMON100Oqw"
	I18NCOMMON7DAYCO2                                       = "I18NCOMMON7DAYCO2"
	I18NCOMMON7DAYELEC                                      = "I18NCOMMON7DAYELEC"
	I18NCOMMON7DAYINCOME                                    = "I18NCOMMON7DAYINCOME"
	I18NCOMMONACCOUNTLOCKED                                 = "I18NCOMMONACCOUNTLOCKED"
	I18NCOMMONACCOUNTFORAPI                                 = "I18NCOMMONACCOUNTFORAPI"
	I18NCOMMONACCOUNTISLOCKED                               = "I18NCOMMONACCOUNTISLOCKED"
	I18NCOMMONACCOUNTNAMESN                                 = "I18NCOMMONACCOUNTNAMESN"
	I18NCOMMONACCOUNTNOTEXIST                               = "I18NCOMMONACCOUNTNOTEXIST"
	I18NCOMMONACTIVEPOWERCONTROL                            = "I18NCOMMONACTIVEPOWERCONTROL"
	I18NCOMMONACTIVESUCCESS                                 = "I18NCOMMONACTIVESUCCESS"
	I18NCOMMONACTIVEURLINVALID                              = "I18NCOMMONACTIVEURLINVALID"
	I18NCOMMONACTUALPOWER                                   = "I18NCOMMONACTUALPOWER"
	I18NCOMMONACPOWER                                       = "I18NCOMMONACPOWER"
	I18NCOMMONADDRESS                                       = "I18NCOMMONADDRESS"
	I18NCOMMONADDINDEBTREMINDANDMONITORSTRATEGY             = "I18NCOMMONADDINDEBTREMINDANDMONITORSTRATEGY"
	I18NCOMMONADDKNOWLEDGEBASE                              = "I18NCOMMONADDKNOWLEDGEBASE"
	I18NCOMMONADDLOGBOOK                                    = "I18NCOMMONADDLOGBOOK"
	I18NCOMMONADDMATERIAL                                   = "I18NCOMMONADDMATERIAL"
	I18NCOMMONADDOPERATIONORDER                             = "I18NCOMMONADDOPERATIONORDER"
	I18NCOMMONADDSPAREPARTS                                 = "I18NCOMMONADDSPAREPARTS"
	I18NCOMMONADDSPAREPARTSSTOCK                            = "I18NCOMMONADDSPAREPARTSSTOCK"
	I18NCOMMONADDTESTREPAIRRECORD                           = "I18NCOMMONADDTESTREPAIRRECORD"
	I18NCOMMONADDTWOWORKTICKET                              = "I18NCOMMONADDTWOWORKTICKET"
	I18NCOMMONADDWORKONDUTYINFO                             = "I18NCOMMONADDWORKONDUTYINFO"
	I18NCOMMONADMINLOCK                                     = "I18NCOMMONADMINLOCK"
	I18NCOMMONALARMLEVEL                                    = "I18NCOMMONALARMLEVEL"
	I18NCOMMONALL                                           = "I18NCOMMONALL"
	I18NCOMMONALLSTATION                                    = "I18NCOMMONALLSTATION"
	I18NCOMMONALLSTATIONCLOSED                              = "I18NCOMMONALLSTATIONCLOSED"
	I18NCOMMONALREADYACCEPT                                 = "I18NCOMMONALREADYACCEPT"
	I18NCOMMONALREADYREALIZE                                = "I18NCOMMONALREADYREALIZE"
	I18NCOMMONANALYSISINVERTERNAME                          = "I18NCOMMONANALYSISINVERTERNAME"
	I18NCOMMONANALYSISREPORTFLAG19                          = "I18NCOMMONANALYSISREPORTFLAG19"
	I18NCOMMONANDDEVIATIONRATIO                             = "I18NCOMMONANDDEVIATIONRATIO"
	I18NCOMMONAPIALLOWAUTOCONTROL                           = "I18NCOMMONAPIALLOWAUTOCONTROL"
	I18NCOMMONAPIFAULTNAME                                  = "I18NCOMMONAPIFAULTNAME"
	I18NCOMMONAPINOTALLOWAUTOCONTROL                        = "I18NCOMMONAPINOTALLOWAUTOCONTROL"
	I18NCOMMONAPINOTSAVE                                    = "I18NCOMMONAPINOTSAVE"
	I18NCOMMONAPINOEXTERNALSIGNAL                           = "I18NCOMMONAPINOEXTERNALSIGNAL"
	I18NCOMMONAPIOTHERVALUES                                = "I18NCOMMONAPIOTHERVALUES"
	I18NCOMMONAPIOUTOFTIME                                  = "I18NCOMMONAPIOUTOFTIME"
	I18NCOMMONAPISLAVE1                                     = "I18NCOMMONAPISLAVE1"
	I18NCOMMONAPISLAVE2                                     = "I18NCOMMONAPISLAVE2"
	I18NCOMMONAPISLAVE3                                     = "I18NCOMMONAPISLAVE3"
	I18NCOMMONAPISLAVE4                                     = "I18NCOMMONAPISLAVE4"
	I18NCOMMONAPISTARTB                                     = "I18NCOMMONAPISTARTB"
	I18NCOMMONAPITRIGGER                                    = "I18NCOMMONAPITRIGGER"
	I18NCOMMONAPRIL                                         = "I18NCOMMONAPRIL"
	I18NCOMMONAUDITKNOWLEDGEBASE                            = "I18NCOMMONAUDITKNOWLEDGEBASE"
	I18NCOMMONAUGUST                                        = "I18NCOMMONAUGUST"
	I18NCOMMONAUSTRALIASERVICENOW                           = "I18NCOMMONAUSTRALIASERVICENOW"
	I18NCOMMONAUSTRALIASERVICESTOP                          = "I18NCOMMONAUSTRALIASERVICESTOP"
	I18NCOMMONAUSTRALIASERVICETHANKS                        = "I18NCOMMONAUSTRALIASERVICETHANKS"
	I18NCOMMONAUTHKEYEXISTED                                = "I18NCOMMONAUTHKEYEXISTED"
	I18NCOMMONAUTHKEYREPEATED                               = "I18NCOMMONAUTHKEYREPEATED"
	I18NCOMMONAVAILABLE1                                    = "I18NCOMMONAVAILABLE1"
	I18NCOMMONBACKUPFUNCTION                                = "I18NCOMMONBACKUPFUNCTION"
	I18NCOMMONBASESTATION                                   = "I18NCOMMONBASESTATION"
	I18NCOMMONBATTARYCHARGE                                 = "I18NCOMMONBATTARYCHARGE"
	I18NCOMMONBATTARYDISCHARGE                              = "I18NCOMMONBATTARYDISCHARGE"
	I18NCOMMONBATTERYNAME                                   = "I18NCOMMONBATTERYNAME"
	I18NCOMMONBILLIONKM                                     = "I18NCOMMONBILLIONKM"
	I18NCOMMONBILLIONTON                                    = "I18NCOMMONBILLIONTON"
	I18NCOMMONBILLIONTREES                                  = "I18NCOMMONBILLIONTREES"
	I18NCOMMONBLOCK                                         = "I18NCOMMONBLOCK"
	I18NCOMMONBOUNDED                                       = "I18NCOMMONBOUNDED"
	I18NCOMMONBREEZE                                        = "I18NCOMMONBREEZE"
	I18NCOMMONBUNCH                                         = "I18NCOMMONBUNCH"
	I18NCOMMONBUSINESSNAME                                  = "I18NCOMMONBUSINESSNAME"
	I18NCOMMONCALCULATEFAILURE                              = "I18NCOMMONCALCULATEFAILURE"
	I18NCOMMONCALM                                          = "I18NCOMMONCALM"
	I18NCOMMONCANCELLED                                     = "I18NCOMMONCANCELLED"
	I18NCOMMONCANCELONEWORKTICKET                           = "I18NCOMMONCANCELONEWORKTICKET"
	I18NCOMMONCANCELOPERATIONORDER                          = "I18NCOMMONCANCELOPERATIONORDER"
	I18NCOMMONCANCELTWOWORKTICKET                           = "I18NCOMMONCANCELTWOWORKTICKET"
	I18NCOMMONCHANGEEMAIL                                   = "I18NCOMMONCHANGEEMAIL"
	I18NCOMMONCHANGEINSTALLER                               = "I18NCOMMONCHANGEINSTALLER"
	I18NCOMMONCHANGEPHONE                                   = "I18NCOMMONCHANGEPHONE"
	I18NCOMMONCHARGE                                        = "I18NCOMMONCHARGE"
	I18NCOMMONCHARGEDISCHARGEPOWER                          = "I18NCOMMONCHARGEDISCHARGEPOWER"
	I18NCOMMONCHARGEEDAY                                    = "I18NCOMMONCHARGEEDAY"
	I18NCOMMONCHARGINGRECORD                                = "I18NCOMMONCHARGINGRECORD"
	I18NCOMMONCHARGINGSTATUS                                = "I18NCOMMONCHARGINGSTATUS"
	I18NCOMMONCHARGINGTIME                                  = "I18NCOMMONCHARGINGTIME"
	I18NCOMMONCHECKNOTPASS                                  = "I18NCOMMONCHECKNOTPASS"
	I18NCOMMONCHECKOPERATIONORDER                           = "I18NCOMMONCHECKOPERATIONORDER"
	I18NCOMMONCHECKREGULARMAINTENANCE                       = "I18NCOMMONCHECKREGULARMAINTENANCE"
	I18NCOMMONCHECKTWOWORKTICKET                            = "I18NCOMMONCHECKTWOWORKTICKET"
	I18NCOMMONCHECKTYPEPARAMETERVALUE                       = "I18NCOMMONCHECKTYPEPARAMETERVALUE"
	I18NCOMMONCHECKWORKTICKET                               = "I18NCOMMONCHECKWORKTICKET"
	I18NCOMMONCHINAMOBILE                                   = "I18NCOMMONCHINAMOBILE"
	I18NCOMMONCHINATELECOM                                  = "I18NCOMMONCHINATELECOM"
	I18NCOMMONCI                                            = "I18NCOMMONCI"
	I18NCOMMONCLEANINGEQUIPMENT                             = "I18NCOMMONCLEANINGEQUIPMENT"
	I18NCOMMONCLEANROBOTREVERSE                             = "I18NCOMMONCLEANROBOTREVERSE"
	I18NCOMMONCLOSEFAULTAPP                                 = "I18NCOMMONCLOSEFAULTAPP"
	I18NCOMMONCLOSEFAULTBATCH                               = "I18NCOMMONCLOSEFAULTBATCH"
	I18NCOMMONCLOSEFAULTFAIL                                = "I18NCOMMONCLOSEFAULTFAIL"
	I18NCOMMONCLOSEFAULTWEB                                 = "I18NCOMMONCLOSEFAULTWEB"
	I18NCOMMONCO2UNITKG                                     = "I18NCOMMONCO2UNITKG"
	I18NCOMMONCOLON                                         = "I18NCOMMONCOLON"
	I18NCOMMONCOMMA                                         = "I18NCOMMONCOMMA"
	I18NCOMMONCOMMISIONING                                  = "I18NCOMMONCOMMISIONING"
	I18NCOMMONCOMMONGALE                                    = "I18NCOMMONCOMMONGALE"
	I18NCOMMONCOMMUNICATEDISCONNECT                         = "I18NCOMMONCOMMUNICATEDISCONNECT"
	I18NCOMMONCOMMUNICATIONDEVMODELNULL                     = "I18NCOMMONCOMMUNICATIONDEVMODELNULL"
	I18NCOMMONCOMMUNICATIONDEVSNNULL                        = "I18NCOMMONCOMMUNICATIONDEVSNNULL"
	I18NCOMMONCOMMUNICATIONDEVSNUNAVAILABLE                 = "I18NCOMMONCOMMUNICATIONDEVSNUNAVAILABLE"
	I18NCOMMONCOMMUNICATIONMODELCONSISTENCY                 = "I18NCOMMONCOMMUNICATIONMODELCONSISTENCY"
	I18NCOMMONCOMMDEVICETRAFFICRECHARAGE                    = "I18NCOMMONCOMMDEVICETRAFFICRECHARAGE"
	I18NCOMMONCOMPANYADDRESS                                = "I18NCOMMONCOMPANYADDRESS"
	I18NCOMMONCOMPANYTELEPHONE                              = "I18NCOMMONCOMPANYTELEPHONE"
	I18NCOMMONCOMPONENTPV                                   = "I18NCOMMONCOMPONENTPV"
	I18NCOMMONCONFIGREPORT                                  = "I18NCOMMONCONFIGREPORT"
	I18NCOMMONCONFIRMFAULT                                  = "I18NCOMMONCONFIRMFAULT"
	I18NCOMMONCONFIRMFAULTAPP                               = "I18NCOMMONCONFIRMFAULTAPP"
	I18NCOMMONCONFIRMFAULTBATCH                             = "I18NCOMMONCONFIRMFAULTBATCH"
	I18NCOMMONCONFIRMFAULTWEB                               = "I18NCOMMONCONFIRMFAULTWEB"
	I18NCOMMONCONNECTINSTALLER                              = "I18NCOMMONCONNECTINSTALLER"
	I18NCOMMONCONNECTINSTALLERUPPERCASE                     = "I18NCOMMONCONNECTINSTALLERUPPERCASE"
	I18NCOMMONCONTACTINFORMATION                            = "I18NCOMMONCONTACTINFORMATION"
	I18NCOMMONCONTROLDEADBAND                               = "I18NCOMMONCONTROLDEADBAND"
	I18NCOMMONCOOLBREEZE                                    = "I18NCOMMONCOOLBREEZE"
	I18NCOMMONCOUNTRYNOEXISTED                              = "I18NCOMMONCOUNTRYNOEXISTED"
	I18NCOMMONCREATEDUSERABNORMAL                           = "I18NCOMMONCREATEDUSERABNORMAL"
	I18NCOMMONCREATEPLANT                                   = "I18NCOMMONCREATEPLANT"
	I18NCOMMONCREATEPLANTABNORMALLY                         = "I18NCOMMONCREATEPLANTABNORMALLY"
	I18NCOMMONCREATEPLANTBATCH                              = "I18NCOMMONCREATEPLANTBATCH"
	I18NCOMMONCREATEPLANTEMAILTIP                           = "I18NCOMMONCREATEPLANTEMAILTIP"
	I18NCOMMONCREATEPLANTPHONEMAILTIP                       = "I18NCOMMONCREATEPLANTPHONEMAILTIP"
	I18NCOMMONCREATEPLANTPHONETIP                           = "I18NCOMMONCREATEPLANTPHONETIP"
	I18NCOMMONCREATEPLANTSUCCESSFULLY                       = "I18NCOMMONCREATEPLANTSUCCESSFULLY"
	I18NCOMMONCREATEPLANTWEB                                = "I18NCOMMONCREATEPLANTWEB"
	I18NCOMMONCREATEPSDESC1                                 = "I18NCOMMONCREATEPSDESC1"
	I18NCOMMONCREATEPSSENDEMAILSUBJECT                      = "I18NCOMMONCREATEPSSENDEMAILSUBJECT"
	I18NCOMMONCREATETIME                                    = "I18NCOMMONCREATETIME"
	I18NCOMMONCRITICAL                                      = "I18NCOMMONCRITICAL"
	I18NCOMMONCURRENT                                       = "I18NCOMMONCURRENT"
	I18NCOMMONCURRENTBRANCH                                 = "I18NCOMMONCURRENTBRANCH"
	I18NCOMMONCURRENTTASKSTATE                              = "I18NCOMMONCURRENTTASKSTATE"
	I18NCOMMONCURRUSERNOTOWNER                              = "I18NCOMMONCURRUSERNOTOWNER"
	I18NCOMMONCURVEDETAILCURVE                              = "I18NCOMMONCURVEDETAILCURVE"
	I18NCOMMONDAILYPOWERYIELD                               = "I18NCOMMONDAILYPOWERYIELD"
	I18NCOMMONDAILYREPORT                                   = "I18NCOMMONDAILYREPORT"
	I18NCOMMONDATAERROR                                     = "I18NCOMMONDATAERROR"
	I18NCOMMONDATAINVALID                                   = "I18NCOMMONDATAINVALID"
	I18NCOMMONDATALINE                                      = "I18NCOMMONDATALINE"
	I18NCOMMONDATASTOREANOMALY                              = "I18NCOMMONDATASTOREANOMALY"
	I18NCOMMONDATATYPE                                      = "I18NCOMMONDATATYPE"
	I18NCOMMONDATE                                          = "I18NCOMMONDATE"
	I18NCOMMONDATEDAY0                                      = "I18NCOMMONDATEDAY0"
	I18NCOMMONDATEDAY1                                      = "I18NCOMMONDATEDAY1"
	I18NCOMMONDATEDAY2                                      = "I18NCOMMONDATEDAY2"
	I18NCOMMONDATEDAY3                                      = "I18NCOMMONDATEDAY3"
	I18NCOMMONDATEDAY4                                      = "I18NCOMMONDATEDAY4"
	I18NCOMMONDATEDAY5                                      = "I18NCOMMONDATEDAY5"
	I18NCOMMONDATEDAY6                                      = "I18NCOMMONDATEDAY6"
	I18NCOMMONDAY                                           = "I18NCOMMONDAY"
	I18NCOMMONDAY1                                          = "I18NCOMMONDAY1"
	I18NCOMMONDAYENERGY                                     = "I18NCOMMONDAYENERGY"
	I18NCOMMONDCPOWER                                       = "I18NCOMMONDCPOWER"
	I18NCOMMONDEALERCODENOTEXIST                            = "I18NCOMMONDEALERCODENOTEXIST"
	I18NCOMMONDEALORDERFH                                   = "I18NCOMMONDEALORDERFH"
	I18NCOMMONDEALORDERWXQR                                 = "I18NCOMMONDEALORDERWXQR"
	I18NCOMMONDEALORDERWXWCFH                               = "I18NCOMMONDEALORDERWXWCFH"
	I18NCOMMONDEALORDERYQ                                   = "I18NCOMMONDEALORDERYQ"
	I18NCOMMONDECEMBER                                      = "I18NCOMMONDECEMBER"
	I18NCOMMONDEFAULTPLANNAMEPREFIX                         = "I18NCOMMONDEFAULTPLANNAMEPREFIX"
	I18NCOMMONDELETEKNOWLEDGEBASE                           = "I18NCOMMONDELETEKNOWLEDGEBASE"
	I18NCOMMONDELETELOGBOOK                                 = "I18NCOMMONDELETELOGBOOK"
	I18NCOMMONDELETEMATERIALS                               = "I18NCOMMONDELETEMATERIALS"
	I18NCOMMONDELETEONEWORKTICKET                           = "I18NCOMMONDELETEONEWORKTICKET"
	I18NCOMMONDELETEOPERATIONORDER                          = "I18NCOMMONDELETEOPERATIONORDER"
	I18NCOMMONDELETEPHYSICALLYDELETE                        = "I18NCOMMONDELETEPHYSICALLYDELETE"
	I18NCOMMONDELETEPLANT                                   = "I18NCOMMONDELETEPLANT"
	I18NCOMMONDELETESELFREPORT                              = "I18NCOMMONDELETESELFREPORT"
	I18NCOMMONDELETESELFREPORTDESC                          = "I18NCOMMONDELETESELFREPORTDESC"
	I18NCOMMONDELETESPAREPARTS                              = "I18NCOMMONDELETESPAREPARTS"
	I18NCOMMONDELETETWOWORKTICKET                           = "I18NCOMMONDELETETWOWORKTICKET"
	I18NCOMMONDELDEVICEREPAIR                               = "I18NCOMMONDELDEVICEREPAIR"
	I18NCOMMONDELWORKONDUTYINFO                             = "I18NCOMMONDELWORKONDUTYINFO"
	I18NCOMMONDEMANDCONTROL                                 = "I18NCOMMONDEMANDCONTROL"
	I18NCOMMONDEMANDCONTROLFET                              = "I18NCOMMONDEMANDCONTROLFET"
	I18NCOMMONDESCPSDESC1                                   = "I18NCOMMONDESCPSDESC1"
	I18NCOMMONDESIGNENERGYUNITKWP                           = "I18NCOMMONDESIGNENERGYUNITKWP"
	I18NCOMMONDETAILED                                      = "I18NCOMMONDETAILED"
	I18NCOMMONDETECTTIME                                    = "I18NCOMMONDETECTTIME"
	I18NCOMMONDETECTUSER                                    = "I18NCOMMONDETECTUSER"
	I18NCOMMONDEVICE                                        = "I18NCOMMONDEVICE"
	I18NCOMMONDEVICECLAIMFAILED                             = "I18NCOMMONDEVICECLAIMFAILED"
	I18NCOMMONDEVICECLAIMSUCCESS                            = "I18NCOMMONDEVICECLAIMSUCCESS"
	I18NCOMMONDEVICEFACTORYDEALERROR                        = "I18NCOMMONDEVICEFACTORYDEALERROR"
	I18NCOMMONDEVICEINFOEMPTY                               = "I18NCOMMONDEVICEINFOEMPTY"
	I18NCOMMONDEVICEINFOPV                                  = "I18NCOMMONDEVICEINFOPV"
	I18NCOMMONDEVICELISTNULL                                = "I18NCOMMONDEVICELISTNULL"
	I18NCOMMONDEVICEMODEL                                   = "I18NCOMMONDEVICEMODEL"
	I18NCOMMONDEVICEMODELDEALERROR                          = "I18NCOMMONDEVICEMODELDEALERROR"
	I18NCOMMONDEVICENAME                                    = "I18NCOMMONDEVICENAME"
	I18NCOMMONDEVICENAMECHECKERROR                          = "I18NCOMMONDEVICENAMECHECKERROR"
	I18NCOMMONDEVICENAMEREPEATED                            = "I18NCOMMONDEVICENAMEREPEATED"
	I18NCOMMONDEVICEPARAMETERINFO                           = "I18NCOMMONDEVICEPARAMETERINFO"
	I18NCOMMONDEVICEREPLACE                                 = "I18NCOMMONDEVICEREPLACE"
	I18NCOMMONDEVICEREWARD                                  = "I18NCOMMONDEVICEREWARD"
	I18NCOMMONDEVICESN                                      = "I18NCOMMONDEVICESN"
	I18NCOMMONDEVICESNREPEAT                                = "I18NCOMMONDEVICESNREPEAT"
	I18NCOMMONDEVICETYPE                                    = "I18NCOMMONDEVICETYPE"
	I18NCOMMONDEVICEUPDATENOMORE                            = "I18NCOMMONDEVICEUPDATENOMORE"
	I18NCOMMONDEVICEUPGRADEMODULE                           = "I18NCOMMONDEVICEUPGRADEMODULE"
	I18NCOMMONDEVNOTSUPPORTINITPARAMSET                     = "I18NCOMMONDEVNOTSUPPORTINITPARAMSET"
	I18NCOMMONDEVREPLACE                                    = "I18NCOMMONDEVREPLACE"
	I18NCOMMONDEVREPLACEENDREMIND                           = "I18NCOMMONDEVREPLACEENDREMIND"
	I18NCOMMONDEVSEARCH                                     = "I18NCOMMONDEVSEARCH"
	I18NCOMMONDIAGNOSISCONCLUSION                           = "I18NCOMMONDIAGNOSISCONCLUSION"
	I18NCOMMONDIAGNOSISSTRINGNUM                            = "I18NCOMMONDIAGNOSISSTRINGNUM"
	I18NCOMMONDIAGNOSTICOVERVIEWREPORT                      = "I18NCOMMONDIAGNOSTICOVERVIEWREPORT"
	I18NCOMMONDIAGNOSTICTESTOVERVIEWREPORT                  = "I18NCOMMONDIAGNOSTICTESTOVERVIEWREPORT"
	I18NCOMMONDIRECTIONPOSITIVE                             = "I18NCOMMONDIRECTIONPOSITIVE"
	I18NCOMMONDIRECTIONREVERSE                              = "I18NCOMMONDIRECTIONREVERSE"
	I18NCOMMONDISCHARGE                                     = "I18NCOMMONDISCHARGE"
	I18NCOMMONDISCHARGEEDAY                                 = "I18NCOMMONDISCHARGEEDAY"
	I18NCOMMONDISTRIBUTEDPV                                 = "I18NCOMMONDISTRIBUTEDPV"
	I18NCOMMONEAST                                          = "I18NCOMMONEAST"
	I18NCOMMONEASTNORTHEAST                                 = "I18NCOMMONEASTNORTHEAST"
	I18NCOMMONEASTSOUTHEAST                                 = "I18NCOMMONEASTSOUTHEAST"
	I18NCOMMONECDAYAMMETER                                  = "I18NCOMMONECDAYAMMETER"
	I18NCOMMONEDITKNOWLEDGEBASE                             = "I18NCOMMONEDITKNOWLEDGEBASE"
	I18NCOMMONEDITLOGBOOK                                   = "I18NCOMMONEDITLOGBOOK"
	I18NCOMMONEDITPLANT                                     = "I18NCOMMONEDITPLANT"
	I18NCOMMONEDITPLANTWEB                                  = "I18NCOMMONEDITPLANTWEB"
	I18NCOMMONEDITREGULARCHECKING                           = "I18NCOMMONEDITREGULARCHECKING"
	I18NCOMMONEDITSPAREPARTS                                = "I18NCOMMONEDITSPAREPARTS"
	I18NCOMMONELECTRICBURDEN                                = "I18NCOMMONELECTRICBURDEN"
	I18NCOMMONEMAILCHANGENOTALLOWED                         = "I18NCOMMONEMAILCHANGENOTALLOWED"
	I18NCOMMONENDTIME                                       = "I18NCOMMONENDTIME"
	I18NCOMMONENERGYCHARGE                                  = "I18NCOMMONENERGYCHARGE"
	I18NCOMMONENERGYDISCHARGE                               = "I18NCOMMONENERGYDISCHARGE"
	I18NCOMMONENERGYGETFROMGRID                             = "I18NCOMMONENERGYGETFROMGRID"
	I18NCOMMONENERGYSTORAGEUNITVIEW                         = "I18NCOMMONENERGYSTORAGEUNITVIEW"
	I18NCOMMONENERGYUNITW                                   = "I18NCOMMONENERGYUNITW"
	I18NCOMMONENTEROWNERMAIL                                = "I18NCOMMONENTEROWNERMAIL"
	I18NCOMMONEXAMINETIME                                   = "I18NCOMMONEXAMINETIME"
	I18NCOMMONEXCELLENT1                                    = "I18NCOMMONEXCELLENT1"
	I18NCOMMONEXCEPTIONDESC                                 = "I18NCOMMONEXCEPTIONDESC"
	I18NCOMMONEXISTTHREEPARTYINVERTER                       = "I18NCOMMONEXISTTHREEPARTYINVERTER"
	I18NCOMMONEXPORTDEVICEREPAIR                            = "I18NCOMMONEXPORTDEVICEREPAIR"
	I18NCOMMONEXPORTFAULT                                   = "I18NCOMMONEXPORTFAULT"
	I18NCOMMONEXPORTLOG                                     = "I18NCOMMONEXPORTLOG"
	I18NCOMMONEXPORTSPAREPARTS                              = "I18NCOMMONEXPORTSPAREPARTS"
	I18NCOMMONFACTORYSN                                     = "I18NCOMMONFACTORYSN"
	I18NCOMMONFAILEDQUERYUSER                               = "I18NCOMMONFAILEDQUERYUSER"
	I18NCOMMONFAILEDQUERYUSERINFO                           = "I18NCOMMONFAILEDQUERYUSERINFO"
	I18NCOMMONFAILUREPROPORTIONDESC                         = "I18NCOMMONFAILUREPROPORTIONDESC"
	I18NCOMMONFAILURERATE                                   = "I18NCOMMONFAILURERATE"
	I18NCOMMONFAILURETYPEANALYSIS                           = "I18NCOMMONFAILURETYPEANALYSIS"
	I18NCOMMONFAILBINDPHONE                                 = "I18NCOMMONFAILBINDPHONE"
	I18NCOMMONFAQEYEM4STATUSDESCRIPTION                     = "I18NCOMMONFAQEYEM4STATUSDESCRIPTION"
	I18NCOMMONFAQEYES4STATUSDESCRIPTION                     = "I18NCOMMONFAQEYES4STATUSDESCRIPTION"
	I18NCOMMONFAQISOLARCLOUD1                               = "I18NCOMMONFAQISOLARCLOUD1"
	I18NCOMMONFAQLOGGER1000STATUSDESCRIPTION                = "I18NCOMMONFAQLOGGER1000STATUSDESCRIPTION"
	I18NCOMMONFAQWINET_SSTATUSDESCRIPTION                   = "I18NCOMMONFAQWINET_SSTATUSDESCRIPTION"
	I18NCOMMONFAULT                                         = "I18NCOMMONFAULT"
	I18NCOMMONFAULTALREADYEXISTS                            = "I18NCOMMONFAULTALREADYEXISTS"
	I18NCOMMONFAULTCLOSE                                    = "I18NCOMMONFAULTCLOSE"
	I18NCOMMONFAULTCODE                                     = "I18NCOMMONFAULTCODE"
	I18NCOMMONFAULTISCLOSED                                 = "I18NCOMMONFAULTISCLOSED"
	I18NCOMMONFAULTNAME                                     = "I18NCOMMONFAULTNAME"
	I18NCOMMONFAULTRECORDER                                 = "I18NCOMMONFAULTRECORDER"
	I18NCOMMONFEBRUARY                                      = "I18NCOMMONFEBRUARY"
	I18NCOMMONFEEDBACKCHECKSTATUS                           = "I18NCOMMONFEEDBACKCHECKSTATUS"
	I18NCOMMONFEEDBACKDEVMODIFY                             = "I18NCOMMONFEEDBACKDEVMODIFY"
	I18NCOMMONFEEDNET                                       = "I18NCOMMONFEEDNET"
	I18NCOMMONFINISH                                        = "I18NCOMMONFINISH"
	I18NCOMMONFIXSUGGESTIONS                                = "I18NCOMMONFIXSUGGESTIONS"
	I18NCOMMONFLAT                                          = "I18NCOMMONFLAT"
	I18NCOMMONFORBIDDENOPONSYSFORUSEREMAIL1                 = "I18NCOMMONFORBIDDENOPONSYSFORUSEREMAIL1"
	I18NCOMMONFORBIDDENOPONSYSFORUSEREMAIL2                 = "I18NCOMMONFORBIDDENOPONSYSFORUSEREMAIL2"
	I18NCOMMONFORBIDDENOPONSYSFORUSERTEL1                   = "I18NCOMMONFORBIDDENOPONSYSFORUSERTEL1"
	I18NCOMMONFORBIDDENOPONSYSFORUSERTEL2                   = "I18NCOMMONFORBIDDENOPONSYSFORUSERTEL2"
	I18NCOMMONFORCECONTROL                                  = "I18NCOMMONFORCECONTROL"
	I18NCOMMONFOREVER                                       = "I18NCOMMONFOREVER"
	I18NCOMMONFRAGMENTMOREPROGRESS                          = "I18NCOMMONFRAGMENTMOREPROGRESS"
	I18NCOMMONFUNCTIONONOROFF                               = "I18NCOMMONFUNCTIONONOROFF"
	I18NCOMMONG                                             = "I18NCOMMONG"
	I18NCOMMONGE                                            = "I18NCOMMONGE"
	I18NCOMMONGENER                                         = "I18NCOMMONGENER"
	I18NCOMMONGENERAL                                       = "I18NCOMMONGENERAL"
	I18NCOMMONGENTLEBREEZE                                  = "I18NCOMMONGENTLEBREEZE"
	I18NCOMMONGOOD1                                         = "I18NCOMMONGOOD1"
	I18NCOMMONGRIDCONNECTED                                 = "I18NCOMMONGRIDCONNECTED"
	I18NCOMMONGRIDCONNECTFACTORTARGET                       = "I18NCOMMONGRIDCONNECTFACTORTARGET"
	I18NCOMMONGRIDPOWERTARGET                               = "I18NCOMMONGRIDPOWERTARGET"
	I18NCOMMONGROUPBUNCH                                    = "I18NCOMMONGROUPBUNCH"
	I18NCOMMONGROUPBUNCHTITLEAND                            = "I18NCOMMONGROUPBUNCHTITLEAND"
	I18NCOMMONGROUPSTRINGEXAMINEOVERVIEW                    = "I18NCOMMONGROUPSTRINGEXAMINEOVERVIEW"
	I18NCOMMONGROUPSTRINGPERFORMANCEDATADETAIL              = "I18NCOMMONGROUPSTRINGPERFORMANCEDATADETAIL"
	I18NCOMMONHIGHPEAK                                      = "I18NCOMMONHIGHPEAK"
	I18NCOMMONHOUR                                          = "I18NCOMMONHOUR"
	I18NCOMMONINCOME                                        = "I18NCOMMONINCOME"
	I18NCOMMONINCORRECTORIGINALPASSWORD                     = "I18NCOMMONINCORRECTORIGINALPASSWORD"
	I18NCOMMONINSTALLEDCAPACITY                             = "I18NCOMMONINSTALLEDCAPACITY"
	I18NCOMMONINSTALLEDPOWER                                = "I18NCOMMONINSTALLEDPOWER"
	I18NCOMMONINSTALLERCODENOMATCH                          = "I18NCOMMONINSTALLERCODENOMATCH"
	I18NCOMMONINTELLIGENTCLEANING                           = "I18NCOMMONINTELLIGENTCLEANING"
	I18NCOMMONINTERNATIONALSTATIONODM                       = "I18NCOMMONINTERNATIONALSTATIONODM"
	I18NCOMMONINVALIDNEWPASSWORD                            = "I18NCOMMONINVALIDNEWPASSWORD"
	I18NCOMMONINVERTER                                      = "I18NCOMMONINVERTER"
	I18NCOMMONINVERTERSSCANNING                             = "I18NCOMMONINVERTERSSCANNING"
	I18NCOMMONINVERTERINFORMATION                           = "I18NCOMMONINVERTERINFORMATION"
	I18NCOMMONINVERTERINFORMATIONUPPERCASE                  = "I18NCOMMONINVERTERINFORMATIONUPPERCASE"
	I18NCOMMONINVERTERINPUTCURRENTDISCRETE                  = "I18NCOMMONINVERTERINPUTCURRENTDISCRETE"
	I18NCOMMONINVERTERISSETTING                             = "I18NCOMMONINVERTERISSETTING"
	I18NCOMMONINVERTEROFFLINETIP                            = "I18NCOMMONINVERTEROFFLINETIP"
	I18NCOMMONINVERTEROPERATIONMODE                         = "I18NCOMMONINVERTEROPERATIONMODE"
	I18NCOMMONINVERTERSN                                    = "I18NCOMMONINVERTERSN"
	I18NCOMMONINVERTERTYPE                                  = "I18NCOMMONINVERTERTYPE"
	I18NCOMMONINVERTERTYPENOCONFIG                          = "I18NCOMMONINVERTERTYPENOCONFIG"
	I18NCOMMONINEXTERNALDISPATCH                            = "I18NCOMMONINEXTERNALDISPATCH"
	I18NCOMMONINPARTSWAREHOUSE                              = "I18NCOMMONINPARTSWAREHOUSE"
	I18NCOMMONISOLARCLOUDAPP                                = "I18NCOMMONISOLARCLOUDAPP"
	I18NCOMMONISOLARCLOUDSYSTEMMAINTANCENOTIFICATIONCONTENT = "I18NCOMMONISOLARCLOUDSYSTEMMAINTANCENOTIFICATIONCONTENT"
	I18NCOMMONISOLARCLOUDSYSTEMMAINTANCENOTIFICATIONTITLE   = "I18NCOMMONISOLARCLOUDSYSTEMMAINTANCENOTIFICATIONTITLE"
	I18NCOMMONISOLARDESIGNPCS                               = "I18NCOMMONISOLARDESIGNPCS"
	I18NCOMMONISOLARHOME                                    = "I18NCOMMONISOLARHOME"
	I18NCOMMONISSUEDRAINSNOWLINKAGECONTROL                  = "I18NCOMMONISSUEDRAINSNOWLINKAGECONTROL"
	I18NCOMMONISCONNECTING                                  = "I18NCOMMONISCONNECTING"
	I18NCOMMONIVDIAGNOSIS                                   = "I18NCOMMONIVDIAGNOSIS"
	I18NCOMMONIVMISSIONTYPE                                 = "I18NCOMMONIVMISSIONTYPE"
	I18NCOMMONIVPVNUMBER                                    = "I18NCOMMONIVPVNUMBER"
	I18NCOMMONIVSTRING                                      = "I18NCOMMONIVSTRING"
	I18NCOMMONIVSTRINGNUMBER                                = "I18NCOMMONIVSTRINGNUMBER"
	I18NCOMMONIVTOREPORTELIST                               = "I18NCOMMONIVTOREPORTELIST"
	I18NCOMMONIVUNNORMAL                                    = "I18NCOMMONIVUNNORMAL"
	I18NCOMMONJANUARY                                       = "I18NCOMMONJANUARY"
	I18NCOMMONJULY                                          = "I18NCOMMONJULY"
	I18NCOMMONJUNE                                          = "I18NCOMMONJUNE"
	I18NCOMMONKM                                            = "I18NCOMMONKM"
	I18NCOMMONKW                                            = "I18NCOMMONKW"
	I18NCOMMONKWH                                           = "I18NCOMMONKWH"
	I18NCOMMONKWUNIT                                        = "I18NCOMMONKWUNIT"
	I18NCOMMONKT                                            = "I18NCOMMONKT"
	I18NCOMMONKTREES                                        = "I18NCOMMONKTREES"
	I18NCOMMONLASTCOMMUNICATETIME                           = "I18NCOMMONLASTCOMMUNICATETIME"
	I18NCOMMONLEIJIPOWER                                    = "I18NCOMMONLEIJIPOWER"
	I18NCOMMONLIGHTAIR                                      = "I18NCOMMONLIGHTAIR"
	I18NCOMMONLINELENGTHAC                                  = "I18NCOMMONLINELENGTHAC"
	I18NCOMMONLINELENGTHDC                                  = "I18NCOMMONLINELENGTHDC"
	I18NCOMMONLOCAL                                         = "I18NCOMMONLOCAL"
	I18NCOMMONLOCALORREMOTE                                 = "I18NCOMMONLOCALORREMOTE"
	I18NCOMMONLOCALSETTING                                  = "I18NCOMMONLOCALSETTING"
	I18NCOMMONLOGIN                                         = "I18NCOMMONLOGIN"
	I18NCOMMONLOGINTIMEERROR                                = "I18NCOMMONLOGINTIMEERROR"
	I18NCOMMONLOGOFF                                        = "I18NCOMMONLOGOFF"
	I18NCOMMONLOGOUT                                        = "I18NCOMMONLOGOUT"
	I18NCOMMONLOWERSECONDPROTECTPOWER                       = "I18NCOMMONLOWERSECONDPROTECTPOWER"
	I18NCOMMONLRRADIATIO                                    = "I18NCOMMONLRRADIATIO"
	I18NCOMMONMAILBOX                                       = "I18NCOMMONMAILBOX"
	I18NCOMMONMAILFORMATERROR                               = "I18NCOMMONMAILFORMATERROR"
	I18NCOMMONMARCH                                         = "I18NCOMMONMARCH"
	I18NCOMMONMATCHING                                      = "I18NCOMMONMATCHING"
	I18NCOMMONMAXALLOWDEMAND                                = "I18NCOMMONMAXALLOWDEMAND"
	I18NCOMMONMAXCELLTEMPERATURETVEGOZZJ                    = "I18NCOMMONMAXCELLTEMPERATURETVEGOZZJ"
	I18NCOMMONMAXCELLVOLTAGEDNDSRHKG                        = "I18NCOMMONMAXCELLVOLTAGEDNDSRHKG"
	I18NCOMMONMAXCELLVOLTAGEPOSITIONBMUDUHZAQUZ             = "I18NCOMMONMAXCELLVOLTAGEPOSITIONBMUDUHZAQUZ"
	I18NCOMMONMAXCELLVOLTAGEPOSITIONRACKKIGWQMVU            = "I18NCOMMONMAXCELLVOLTAGEPOSITIONRACKKIGWQMVU"
	I18NCOMMONMAXRACKVOLTAGEVSDDKLSW                        = "I18NCOMMONMAXRACKVOLTAGEVSDDKLSW"
	I18NCOMMONMAXRACKVPOSITIONJZQLRXEM                      = "I18NCOMMONMAXRACKVPOSITIONJZQLRXEM"
	I18NCOMMONMAY                                           = "I18NCOMMONMAY"
	I18NCOMMONMETER                                         = "I18NCOMMONMETER"
	I18NCOMMONMETERCONNECTERROR                             = "I18NCOMMONMETERCONNECTERROR"
	I18NCOMMONMILLION                                       = "I18NCOMMONMILLION"
	I18NCOMMONMILLIONKM                                     = "I18NCOMMONMILLIONKM"
	I18NCOMMONMILLIONTON                                    = "I18NCOMMONMILLIONTON"
	I18NCOMMONMILLIONTREES                                  = "I18NCOMMONMILLIONTREES"
	I18NCOMMONMILLIONYUAN                                   = "I18NCOMMONMILLIONYUAN"
	I18NCOMMONMIMIAPPRELEASE                                = "I18NCOMMONMIMIAPPRELEASE"
	I18NCOMMONMINOR                                         = "I18NCOMMONMINOR"
	I18NCOMMONMINUTE                                        = "I18NCOMMONMINUTE"
	I18NCOMMONMINCELLTEMPERATUREEPANCOTZ                    = "I18NCOMMONMINCELLTEMPERATUREEPANCOTZ"
	I18NCOMMONMINCELLTEMPERATUREPOSITIONXQJGRXFQ            = "I18NCOMMONMINCELLTEMPERATUREPOSITIONXQJGRXFQ"
	I18NCOMMONMINCELLTEMPERATUREPOSITIONYFUSSTKC            = "I18NCOMMONMINCELLTEMPERATUREPOSITIONYFUSSTKC"
	I18NCOMMONMINCELLVOLTAGEPOSITIONBMUVGNWRLZH             = "I18NCOMMONMINCELLVOLTAGEPOSITIONBMUVGNWRLZH"
	I18NCOMMONMINCELLVOLTAGEPOSITIONRACKONBQYLEH            = "I18NCOMMONMINCELLVOLTAGEPOSITIONRACKONBQYLEH"
	I18NCOMMONMINCELLVOLTAGEYDCLIAWZ                        = "I18NCOMMONMINCELLVOLTAGEYDCLIAWZ"
	I18NCOMMONMINRACKVOLTAGETFOMWHRI                        = "I18NCOMMONMINRACKVOLTAGETFOMWHRI"
	I18NCOMMONMINRACKVPOSITIONLZFANQYZ                      = "I18NCOMMONMINRACKVPOSITIONLZFANQYZ"
	I18NCOMMONMISMATCHEDEMAILPHONE                          = "I18NCOMMONMISMATCHEDEMAILPHONE"
	I18NCOMMONMISSINGPARAMETERPSID                          = "I18NCOMMONMISSINGPARAMETERPSID"
	I18NCOMMONMIXEDERROR                                    = "I18NCOMMONMIXEDERROR"
	I18NCOMMONMOBILEMAILNOEMPTY                             = "I18NCOMMONMOBILEMAILNOEMPTY"
	I18NCOMMONMOBLETELCHANGENOTALLOWED                      = "I18NCOMMONMOBLETELCHANGENOTALLOWED"
	I18NCOMMONMOBLETELINVALIDFORMAT                         = "I18NCOMMONMOBLETELINVALIDFORMAT"
	I18NCOMMONMODIFYMATERIALS                               = "I18NCOMMONMODIFYMATERIALS"
	I18NCOMMONMODIFYPASSWORD                                = "I18NCOMMONMODIFYPASSWORD"
	I18NCOMMONMODULENUMBERS                                 = "I18NCOMMONMODULENUMBERS"
	I18NCOMMONMONTH                                         = "I18NCOMMONMONTH"
	I18NCOMMONMONTHCO2                                      = "I18NCOMMONMONTHCO2"
	I18NCOMMONMONTHELEC                                     = "I18NCOMMONMONTHELEC"
	I18NCOMMONMONTHINCOME                                   = "I18NCOMMONMONTHINCOME"
	I18NCOMMONMONTHREPORT                                   = "I18NCOMMONMONTHREPORT"
	I18NCOMMONMPPTNUM                                       = "I18NCOMMONMPPTNUM"
	I18NCOMMONMULTICOLLABORATION                            = "I18NCOMMONMULTICOLLABORATION"
	I18NCOMMONNAME                                          = "I18NCOMMONNAME"
	I18NCOMMONNATION                                        = "I18NCOMMONNATION"
	I18NCOMMONNEWLYCREATEDGRIDCONNECTED                     = "I18NCOMMONNEWLYCREATEDGRIDCONNECTED"
	I18NCOMMONNEWUNITFAILED                                 = "I18NCOMMONNEWUNITFAILED"
	I18NCOMMONNMIEXISTED                                    = "I18NCOMMONNMIEXISTED"
	I18NCOMMONNONHOUSEHOLDERR                               = "I18NCOMMONNONHOUSEHOLDERR"
	I18NCOMMONNORTHEAST                                     = "I18NCOMMONNORTHEAST"
	I18NCOMMONNORTHWEST                                     = "I18NCOMMONNORTHWEST"
	I18NCOMMONNORTHNORTHEAST                                = "I18NCOMMONNORTHNORTHEAST"
	I18NCOMMONNORTHNORTHWEST                                = "I18NCOMMONNORTHNORTHWEST"
	I18NCOMMONNOTHING                                       = "I18NCOMMONNOTHING"
	I18NCOMMONNOTCONNECTED                                  = "I18NCOMMONNOTCONNECTED"
	I18NCOMMONNOTREPEAT                                     = "I18NCOMMONNOTREPEAT"
	I18NCOMMONNOTSUPPORTPARAMSET                            = "I18NCOMMONNOTSUPPORTPARAMSET"
	I18NCOMMONNOVEMBER                                      = "I18NCOMMONNOVEMBER"
	I18NCOMMONNOCURRENTBRANCH                               = "I18NCOMMONNOCURRENTBRANCH"
	I18NCOMMONNODEVICEINFO                                  = "I18NCOMMONNODEVICEINFO"
	I18NCOMMONNODRMSCHEDU                                   = "I18NCOMMONNODRMSCHEDU"
	I18NCOMMONNOINSTALLERINFORMATION                        = "I18NCOMMONNOINSTALLERINFORMATION"
	I18NCOMMONNOOPPRIVILEGE                                 = "I18NCOMMONNOOPPRIVILEGE"
	I18NCOMMONNOPLANTSEARCH                                 = "I18NCOMMONNOPLANTSEARCH"
	I18NCOMMONNOPSATUSER                                    = "I18NCOMMONNOPSATUSER"
	I18NCOMMONNOREPORTEMAILCONFIGRECORD                     = "I18NCOMMONNOREPORTEMAILCONFIGRECORD"
	I18NCOMMONNUM1                                          = "I18NCOMMONNUM1"
	I18NCOMMONNUM4                                          = "I18NCOMMONNUM4"
	I18NCOMMONNUM5                                          = "I18NCOMMONNUM5"
	I18NCOMMONNUM8                                          = "I18NCOMMONNUM8"
	I18NCOMMONNUM9                                          = "I18NCOMMONNUM9"
	I18NCOMMONOCTOBER                                       = "I18NCOMMONOCTOBER"
	I18NCOMMONOFF                                           = "I18NCOMMONOFF"
	I18NCOMMONOFFLINE                                       = "I18NCOMMONOFFLINE"
	I18NCOMMONOFFGRID                                       = "I18NCOMMONOFFGRID"
	I18NCOMMONOFFGRIDOPERATION                              = "I18NCOMMONOFFGRIDOPERATION"
	I18NCOMMONOFFGRIDSOCEQUALIZATIONENABLE                  = "I18NCOMMONOFFGRIDSOCEQUALIZATIONENABLE"
	I18NCOMMONOFFGRIDSOCEQUALIZATIONPOWER                   = "I18NCOMMONOFFGRIDSOCEQUALIZATIONPOWER"
	I18NCOMMONON                                            = "I18NCOMMONON"
	I18NCOMMONONECLICKREGISTERPLANT                         = "I18NCOMMONONECLICKREGISTERPLANT"
	I18NCOMMONONLINE                                        = "I18NCOMMONONLINE"
	I18NCOMMONONLYSUPPORTDELETE                             = "I18NCOMMONONLYSUPPORTDELETE"
	I18NCOMMONOPERATEFAILURE                                = "I18NCOMMONOPERATEFAILURE"
	I18NCOMMONOPERATIONANDMAINTENANCEREPORT                 = "I18NCOMMONOPERATIONANDMAINTENANCEREPORT"
	I18NCOMMONOPERATIONANDMAINTENANCEREPORTTIPS             = "I18NCOMMONOPERATIONANDMAINTENANCEREPORTTIPS"
	I18NCOMMONOPERATOR                                      = "I18NCOMMONOPERATOR"
	I18NCOMMONOPTIMIZER                                     = "I18NCOMMONOPTIMIZER"
	I18NCOMMONOPTIMIZERIVERRTEST                            = "I18NCOMMONOPTIMIZERIVERRTEST"
	I18NCOMMONOPTIMIZERIVERRTESTADVICE                      = "I18NCOMMONOPTIMIZERIVERRTESTADVICE"
	I18NCOMMONOPTIMIZERIVERRTESTREASON                      = "I18NCOMMONOPTIMIZERIVERRTESTREASON"
	I18NCOMMONOPTIMIZERIVLOWVOLTAGEADVICE                   = "I18NCOMMONOPTIMIZERIVLOWVOLTAGEADVICE"
	I18NCOMMONOPTIMIZERIVLOWVOLTAGEREASON                   = "I18NCOMMONOPTIMIZERIVLOWVOLTAGEREASON"
	I18NCOMMONOPTIMIZERIVSHADOWSHELTER                      = "I18NCOMMONOPTIMIZERIVSHADOWSHELTER"
	I18NCOMMONOPSUCCESS                                     = "I18NCOMMONOPSUCCESS"
	I18NCOMMONORDERSTARTTIM                                 = "I18NCOMMONORDERSTARTTIM"
	I18NCOMMONORDERCENTER                                   = "I18NCOMMONORDERCENTER"
	I18NCOMMONORDERCLOSE                                    = "I18NCOMMONORDERCLOSE"
	I18NCOMMONORDERNO                                       = "I18NCOMMONORDERNO"
	I18NCOMMONORDERNUMBER                                   = "I18NCOMMONORDERNUMBER"
	I18NCOMMONORDERREMIND                                   = "I18NCOMMONORDERREMIND"
	I18NCOMMONORGANIZATION                                  = "I18NCOMMONORGANIZATION"
	I18NCOMMONORIGINALDATA                                  = "I18NCOMMONORIGINALDATA"
	I18NCOMMONOTHERS                                        = "I18NCOMMONOTHERS"
	I18NCOMMONOTHERDEVICEVIEW                               = "I18NCOMMONOTHERDEVICEVIEW"
	I18NCOMMONOTHERTIMEPERIOD                               = "I18NCOMMONOTHERTIMEPERIOD"
	I18NCOMMONOTHERUINT                                     = "I18NCOMMONOTHERUINT"
	I18NCOMMONOUTPUTCURRENTDISCRETE                         = "I18NCOMMONOUTPUTCURRENTDISCRETE"
	I18NCOMMONOUTPARTSWAREHOUSE                             = "I18NCOMMONOUTPARTSWAREHOUSE"
	I18NCOMMONOVERALLREPORT                                 = "I18NCOMMONOVERALLREPORT"
	I18NCOMMONOVERVIEW                                      = "I18NCOMMONOVERVIEW"
	I18NCOMMONOVERVIEWREPORT                                = "I18NCOMMONOVERVIEWREPORT"
	I18NCOMMONOWNERUSERNOTEXIST                             = "I18NCOMMONOWNERUSERNOTEXIST"
	I18NCOMMONPARAMETERCLIENTIDAUTHKEY                      = "I18NCOMMONPARAMETERCLIENTIDAUTHKEY"
	I18NCOMMONPARAMINITIALSET                               = "I18NCOMMONPARAMINITIALSET"
	I18NCOMMONPARAMNAME                                     = "I18NCOMMONPARAMNAME"
	I18NCOMMONPARAMQUERY                                    = "I18NCOMMONPARAMQUERY"
	I18NCOMMONPARAMSETTINGENDREMIND                         = "I18NCOMMONPARAMSETTINGENDREMIND"
	I18NCOMMONPARAMVAL                                      = "I18NCOMMONPARAMVAL"
	I18NCOMMONPASSWORDRESET                                 = "I18NCOMMONPASSWORDRESET"
	I18NCOMMONPASSWORDDECRYPTERROR                          = "I18NCOMMONPASSWORDDECRYPTERROR"
	I18NCOMMONPASSWORDRESETFAILED                           = "I18NCOMMONPASSWORDRESETFAILED"
	I18NCOMMONPASSWORDRESETSUCCESSFUL                       = "I18NCOMMONPASSWORDRESETSUCCESSFUL"
	I18NCOMMONPEAK1                                         = "I18NCOMMONPEAK1"
	I18NCOMMONPENDING                                       = "I18NCOMMONPENDING"
	I18NCOMMONPENDINGPAYMENT                                = "I18NCOMMONPENDINGPAYMENT"
	I18NCOMMONPERSONINCHARGE                                = "I18NCOMMONPERSONINCHARGE"
	I18NCOMMONPHALANXDIAGNOSTICREPORT                       = "I18NCOMMONPHALANXDIAGNOSTICREPORT"
	I18NCOMMONPHALANXDIAGNOSTICREPORT1                      = "I18NCOMMONPHALANXDIAGNOSTICREPORT1"
	I18NCOMMONPHALANXOPERATIONREPORT                        = "I18NCOMMONPHALANXOPERATIONREPORT"
	I18NCOMMONPHALANXOPERATIONREPORT1                       = "I18NCOMMONPHALANXOPERATIONREPORT1"
	I18NCOMMONPHONENUMBEREMAILADDRESSATLEASTONE             = "I18NCOMMONPHONENUMBEREMAILADDRESSATLEASTONE"
	I18NCOMMONPHONENUMBEREXIST                              = "I18NCOMMONPHONENUMBEREXIST"
	I18NCOMMONPHONENUMBEREXISTED                            = "I18NCOMMONPHONENUMBEREXISTED"
	I18NCOMMONPHOTOVOLTAICUNIT                              = "I18NCOMMONPHOTOVOLTAICUNIT"
	I18NCOMMONPHOTOVOLTAICUNITVIEW                          = "I18NCOMMONPHOTOVOLTAICUNITVIEW"
	I18NCOMMONPLANTANNUALREPORT                             = "I18NCOMMONPLANTANNUALREPORT"
	I18NCOMMONPLANTDAILYREPORT                              = "I18NCOMMONPLANTDAILYREPORT"
	I18NCOMMONPLANTINFORMATION                              = "I18NCOMMONPLANTINFORMATION"
	I18NCOMMONPLANTINSTALLEDPOWER                           = "I18NCOMMONPLANTINSTALLEDPOWER"
	I18NCOMMONPLANTLIST                                     = "I18NCOMMONPLANTLIST"
	I18NCOMMONPLANTMONTHLYREPORT                            = "I18NCOMMONPLANTMONTHLYREPORT"
	I18NCOMMONPLANTNEWLYCONNECTION                          = "I18NCOMMONPLANTNEWLYCONNECTION"
	I18NCOMMONPLANTNOTEXIST                                 = "I18NCOMMONPLANTNOTEXIST"
	I18NCOMMONPLANTNODEVICE                                 = "I18NCOMMONPLANTNODEVICE"
	I18NCOMMONPLANTOWNERINFORMATION                         = "I18NCOMMONPLANTOWNERINFORMATION"
	I18NCOMMONPLANTREFRESHABNORMAL                          = "I18NCOMMONPLANTREFRESHABNORMAL"
	I18NCOMMONPLANTREPORTNAME                               = "I18NCOMMONPLANTREPORTNAME"
	I18NCOMMONPLANTSTATISTICSDATA                           = "I18NCOMMONPLANTSTATISTICSDATA"
	I18NCOMMONPLANTTOTALREPORT                              = "I18NCOMMONPLANTTOTALREPORT"
	I18NCOMMONPLANTTYPENOTSUPPORT                           = "I18NCOMMONPLANTTYPENOTSUPPORT"
	I18NCOMMONPLANTWEEKLYREPORT                             = "I18NCOMMONPLANTWEEKLYREPORT"
	I18NCOMMONPLATFORM                                      = "I18NCOMMONPLATFORM"
	I18NCOMMONPLATFORMNOUSER                                = "I18NCOMMONPLATFORMNOUSER"
	I18NCOMMONPLEASEMAKESURE1                               = "I18NCOMMONPLEASEMAKESURE1"
	I18NCOMMONPLEASEMAKESURE10                              = "I18NCOMMONPLEASEMAKESURE10"
	I18NCOMMONPLEASEMAKESURE11                              = "I18NCOMMONPLEASEMAKESURE11"
	I18NCOMMONPLEASEMAKESURE12                              = "I18NCOMMONPLEASEMAKESURE12"
	I18NCOMMONPLEASEMAKESURE13                              = "I18NCOMMONPLEASEMAKESURE13"
	I18NCOMMONPLEASEMAKESURE14                              = "I18NCOMMONPLEASEMAKESURE14"
	I18NCOMMONPLEASEMAKESURE2                               = "I18NCOMMONPLEASEMAKESURE2"
	I18NCOMMONPLEASEMAKESURE3                               = "I18NCOMMONPLEASEMAKESURE3"
	I18NCOMMONPLEASEMAKESURE4                               = "I18NCOMMONPLEASEMAKESURE4"
	I18NCOMMONPLEASEMAKESURE5                               = "I18NCOMMONPLEASEMAKESURE5"
	I18NCOMMONPLEASEMAKESURE6                               = "I18NCOMMONPLEASEMAKESURE6"
	I18NCOMMONPLEASEMAKESURE7                               = "I18NCOMMONPLEASEMAKESURE7"
	I18NCOMMONPLEASEMAKESURE8                               = "I18NCOMMONPLEASEMAKESURE8"
	I18NCOMMONPLEASEMAKESURE9                               = "I18NCOMMONPLEASEMAKESURE9"
	I18NCOMMONPOINT                                         = "I18NCOMMONPOINT"
	I18NCOMMONPOINTDATAUPPERCASE                            = "I18NCOMMONPOINTDATAUPPERCASE"
	I18NCOMMONPOSTALCODE                                    = "I18NCOMMONPOSTALCODE"
	I18NCOMMONPOWERGRID                                     = "I18NCOMMONPOWERGRID"
	I18NCOMMONPOWERLOSS                                     = "I18NCOMMONPOWERLOSS"
	I18NCOMMONPOWERPLANT                                    = "I18NCOMMONPOWERPLANT"
	I18NCOMMONPOWERPLANTNAME                                = "I18NCOMMONPOWERPLANTNAME"
	I18NCOMMONPOWERPLANTREPORT                              = "I18NCOMMONPOWERPLANTREPORT"
	I18NCOMMONPOWERPLANTTYPE                                = "I18NCOMMONPOWERPLANTTYPE"
	I18NCOMMONPOWERPREDICTION                               = "I18NCOMMONPOWERPREDICTION"
	I18NCOMMONPREDICTIVEPOWER                               = "I18NCOMMONPREDICTIVEPOWER"
	I18NCOMMONPROCESSING                                    = "I18NCOMMONPROCESSING"
	I18NCOMMONPRODUCTTYPE                                   = "I18NCOMMONPRODUCTTYPE"
	I18NCOMMONPROMPT                                        = "I18NCOMMONPROMPT"
	I18NCOMMONPROPERTYVALUEFORMATINVALID                    = "I18NCOMMONPROPERTYVALUEFORMATINVALID"
	I18NCOMMONPROPORTI                                      = "I18NCOMMONPROPORTI"
	I18NCOMMONPRSETADVICERANGE                              = "I18NCOMMONPRSETADVICERANGE"
	I18NCOMMONPSBOXDISCRETEANALYSISDUSTANAL                 = "I18NCOMMONPSBOXDISCRETEANALYSISDUSTANAL"
	I18NCOMMONPSID                                          = "I18NCOMMONPSID"
	I18NCOMMONPSORGNOTEXIST                                 = "I18NCOMMONPSORGNOTEXIST"
	I18NCOMMONPVSINPUTCURRENTDISCRETE                       = "I18NCOMMONPVSINPUTCURRENTDISCRETE"
	I18NCOMMONPVDIAGNOSISANALYSIS                           = "I18NCOMMONPVDIAGNOSISANALYSIS"
	I18NCOMMONPVLOAD                                        = "I18NCOMMONPVLOAD"
	I18NCOMMONPVMODULES                                     = "I18NCOMMONPVMODULES"
	I18NCOMMONPVPOWERGENERATION                             = "I18NCOMMONPVPOWERGENERATION"
	I18NCOMMONPVUNITREPORT                                  = "I18NCOMMONPVUNITREPORT"
	I18NCOMMONPWDMODIFYFAILURE                              = "I18NCOMMONPWDMODIFYFAILURE"
	I18NCOMMONQUERYGROUP1                                   = "I18NCOMMONQUERYGROUP1"
	I18NCOMMONQUERYGROUP2                                   = "I18NCOMMONQUERYGROUP2"
	I18NCOMMONQUERYGROUP3                                   = "I18NCOMMONQUERYGROUP3"
	I18NCOMMONQUERYGROUP4                                   = "I18NCOMMONQUERYGROUP4"
	I18NCOMMONQUESTION                                      = "I18NCOMMONQUESTION"
	I18NCOMMONRATEDPOWER                                    = "I18NCOMMONRATEDPOWER"
	I18NCOMMONREACTIVEPOWERCONTROL                          = "I18NCOMMONREACTIVEPOWERCONTROL"
	I18NCOMMONREALTIMEALARMNOTICE                           = "I18NCOMMONREALTIMEALARMNOTICE"
	I18NCOMMONREALTIMEALARMNOTIFICATION                     = "I18NCOMMONREALTIMEALARMNOTIFICATION"
	I18NCOMMONRECEIPT                                       = "I18NCOMMONRECEIPT"
	I18NCOMMONRECORDSENDFAIL                                = "I18NCOMMONRECORDSENDFAIL"
	I18NCOMMONREGISTEMAILTITLE                              = "I18NCOMMONREGISTEMAILTITLE"
	I18NCOMMONRELEASEMANAGEMENT                             = "I18NCOMMONRELEASEMANAGEMENT"
	I18NCOMMONREMARKS                                       = "I18NCOMMONREMARKS"
	I18NCOMMONREMINDERFORNEGATIVENUMBER                     = "I18NCOMMONREMINDERFORNEGATIVENUMBER"
	I18NCOMMONREMINDTIP1                                    = "I18NCOMMONREMINDTIP1"
	I18NCOMMONREMINDTIP2                                    = "I18NCOMMONREMINDTIP2"
	I18NCOMMONREMINDTIP3                                    = "I18NCOMMONREMINDTIP3"
	I18NCOMMONREMOTE                                        = "I18NCOMMONREMOTE"
	I18NCOMMONREMOTEPARAMETERSETTING                        = "I18NCOMMONREMOTEPARAMETERSETTING"
	I18NCOMMONREPAIRCOMPLETED                               = "I18NCOMMONREPAIRCOMPLETED"
	I18NCOMMONREPEATEMAIL                                   = "I18NCOMMONREPEATEMAIL"
	I18NCOMMONREPEATPHONENUMBER                             = "I18NCOMMONREPEATPHONENUMBER"
	I18NCOMMONREPORTALL                                     = "I18NCOMMONREPORTALL"
	I18NCOMMONREPORTAMOUNT                                  = "I18NCOMMONREPORTAMOUNT"
	I18NCOMMONREPORTCOMPAREEXCEL                            = "I18NCOMMONREPORTCOMPAREEXCEL"
	I18NCOMMONREPORTFAULT                                   = "I18NCOMMONREPORTFAULT"
	I18NCOMMONREPORTFAULTAPP                                = "I18NCOMMONREPORTFAULTAPP"
	I18NCOMMONREPORTFAULTWEB                                = "I18NCOMMONREPORTFAULTWEB"
	I18NCOMMONRESTARTPASSWORD                               = "I18NCOMMONRESTARTPASSWORD"
	I18NCOMMONRETURNVALUEGETISREPE                          = "I18NCOMMONRETURNVALUEGETISREPE"
	I18NCOMMONREVERSEPOWERRELAYNCCTUFNE                     = "I18NCOMMONREVERSEPOWERRELAYNCCTUFNE"
	I18NCOMMONROLECONFIGURATION                             = "I18NCOMMONROLECONFIGURATION"
	I18NCOMMONROLENONEXISTENT                               = "I18NCOMMONROLENONEXISTENT"
	I18NCOMMONROMUPDATEERROR2                               = "I18NCOMMONROMUPDATEERROR2"
	I18NCOMMONRUNPRAMETERS                                  = "I18NCOMMONRUNPRAMETERS"
	I18NCOMMONRUNRECORD                                     = "I18NCOMMONRUNRECORD"
	I18NCOMMONSAVECHANNELINFOABNORMAL                       = "I18NCOMMONSAVECHANNELINFOABNORMAL"
	I18NCOMMONSCANDESC1                                     = "I18NCOMMONSCANDESC1"
	I18NCOMMONSCANDESC2                                     = "I18NCOMMONSCANDESC2"
	I18NCOMMONSCANDESC3                                     = "I18NCOMMONSCANDESC3"
	I18NCOMMONSCANDESC4                                     = "I18NCOMMONSCANDESC4"
	I18NCOMMONSCANDIC3ADVICE                                = "I18NCOMMONSCANDIC3ADVICE"
	I18NCOMMONSCANFAILURESTRINGS                            = "I18NCOMMONSCANFAILURESTRINGS"
	I18NCOMMONSCANFAILURESTRINGS1                           = "I18NCOMMONSCANFAILURESTRINGS1"
	I18NCOMMONSCANNORMALSTRINGS                             = "I18NCOMMONSCANNORMALSTRINGS"
	I18NCOMMONSCANREPORT                                    = "I18NCOMMONSCANREPORT"
	I18NCOMMONSCANREPORTTIPS                                = "I18NCOMMONSCANREPORTTIPS"
	I18NCOMMONSCANSTRINGFAILURETOTAL                        = "I18NCOMMONSCANSTRINGFAILURETOTAL"
	I18NCOMMONSCANSTRINGTOTAL                               = "I18NCOMMONSCANSTRINGTOTAL"
	I18NCOMMONSECOND                                        = "I18NCOMMONSECOND"
	I18NCOMMONSELECTCOUNTRIE                                = "I18NCOMMONSELECTCOUNTRIE"
	I18NCOMMONSELFCONSUMPTION                               = "I18NCOMMONSELFCONSUMPTION"
	I18NCOMMONSENDSUCCESS1                                  = "I18NCOMMONSENDSUCCESS1"
	I18NCOMMONSEPTEMBER                                     = "I18NCOMMONSEPTEMBER"
	I18NCOMMONSERIALNUMBER                                  = "I18NCOMMONSERIALNUMBER"
	I18NCOMMONSERVICE                                       = "I18NCOMMONSERVICE"
	I18NCOMMONSERVICEINTERNALEXCEPTION                      = "I18NCOMMONSERVICEINTERNALEXCEPTION"
	I18NCOMMONSETUPPARAMETERS                               = "I18NCOMMONSETUPPARAMETERS"
	I18NCOMMONSETPARAMTEMPLATEISCHANGE                      = "I18NCOMMONSETPARAMTEMPLATEISCHANGE"
	I18NCOMMONSEVERITY                                      = "I18NCOMMONSEVERITY"
	I18NCOMMONSHAREDSELFREPORT                              = "I18NCOMMONSHAREDSELFREPORT"
	I18NCOMMONSHAREDSELFREPORTDESC                          = "I18NCOMMONSHAREDSELFREPORTDESC"
	I18NCOMMONSHIP                                          = "I18NCOMMONSHIP"
	I18NCOMMONSHIPPED                                       = "I18NCOMMONSHIPPED"
	I18NCOMMONSHORTFORECAST                                 = "I18NCOMMONSHORTFORECAST"
	I18NCOMMONSHOULDSENDDATA                                = "I18NCOMMONSHOULDSENDDATA"
	I18NCOMMONSLIGHT                                        = "I18NCOMMONSLIGHT"
	I18NCOMMONSLIGHTLYPOOR1                                 = "I18NCOMMONSLIGHTLYPOOR1"
	I18NCOMMONSMARTSOLARCLOUD                               = "I18NCOMMONSMARTSOLARCLOUD"
	I18NCOMMONSMARTSOLARCLOUDMSG20                          = "I18NCOMMONSMARTSOLARCLOUDMSG20"
	I18NCOMMONSMARTSOLARCLOUDREGISTER                       = "I18NCOMMONSMARTSOLARCLOUDREGISTER"
	I18NCOMMONSNCHECKDESTORYSN                              = "I18NCOMMONSNCHECKDESTORYSN"
	I18NCOMMONSNCHECKSPAREPARTS                             = "I18NCOMMONSNCHECKSPAREPARTS"
	I18NCOMMONSNEXISTINOTHERPLANT                           = "I18NCOMMONSNEXISTINOTHERPLANT"
	I18NCOMMONSNEXISTINOWNPLANT                             = "I18NCOMMONSNEXISTINOWNPLANT"
	I18NCOMMONSNEXPREMIND                                   = "I18NCOMMONSNEXPREMIND"
	I18NCOMMONSNNOTMATCH                                    = "I18NCOMMONSNNOTMATCH"
	I18NCOMMONSNREPEATEDUSER                                = "I18NCOMMONSNREPEATEDUSER"
	I18NCOMMONSOCCHRAGEPROTECT                              = "I18NCOMMONSOCCHRAGEPROTECT"
	I18NCOMMONSOCCMQZCPXV                                   = "I18NCOMMONSOCCMQZCPXV"
	I18NCOMMONSOCDISCHRAGEPROTECT                           = "I18NCOMMONSOCDISCHRAGEPROTECT"
	I18NCOMMONSOCLOWERLIMIT                                 = "I18NCOMMONSOCLOWERLIMIT"
	I18NCOMMONSOCLOWERPROTECT                               = "I18NCOMMONSOCLOWERPROTECT"
	I18NCOMMONSOCLOWERRECOVERY                              = "I18NCOMMONSOCLOWERRECOVERY"
	I18NCOMMONSOCLOWERSECONDPROTECT                         = "I18NCOMMONSOCLOWERSECONDPROTECT"
	I18NCOMMONSOCLOWERSECONDRECOVERY                        = "I18NCOMMONSOCLOWERSECONDRECOVERY"
	I18NCOMMONSOCUPPERLIMIT                                 = "I18NCOMMONSOCUPPERLIMIT"
	I18NCOMMONSOCUPPERPROTECT                               = "I18NCOMMONSOCUPPERPROTECT"
	I18NCOMMONSOCUPPERRECOVERY                              = "I18NCOMMONSOCUPPERRECOVERY"
	I18NCOMMONSOFTBREEZE                                    = "I18NCOMMONSOFTBREEZE"
	I18NCOMMONSOLAR                                         = "I18NCOMMONSOLAR"
	I18NCOMMONSOMEINVERTEROFFLINE                           = "I18NCOMMONSOMEINVERTEROFFLINE"
	I18NCOMMONSOUTH                                         = "I18NCOMMONSOUTH"
	I18NCOMMONSOUTHEAST                                     = "I18NCOMMONSOUTHEAST"
	I18NCOMMONSOUTHWEST                                     = "I18NCOMMONSOUTHWEST"
	I18NCOMMONSOUTHSOUTHEAST                                = "I18NCOMMONSOUTHSOUTHEAST"
	I18NCOMMONSOUTHSOUTHWEST                                = "I18NCOMMONSOUTHSOUTHWEST"
	I18NCOMMONSQUARELEVELSCAN                               = "I18NCOMMONSQUARELEVELSCAN"
	I18NCOMMONSTARTUP01                                     = "I18NCOMMONSTARTUP01"
	I18NCOMMONSTATENORMAL                                   = "I18NCOMMONSTATENORMAL"
	I18NCOMMONSTATIONADDRESS                                = "I18NCOMMONSTATIONADDRESS"
	I18NCOMMONSTATIONBUILDTIME                              = "I18NCOMMONSTATIONBUILDTIME"
	I18NCOMMONSTATIONCODE                                   = "I18NCOMMONSTATIONCODE"
	I18NCOMMONSTATIONRECTIFICATION                          = "I18NCOMMONSTATIONRECTIFICATION"
	I18NCOMMONSTATIONSETTLED                                = "I18NCOMMONSTATIONSETTLED"
	I18NCOMMONSTATUS                                        = "I18NCOMMONSTATUS"
	I18NCOMMONSTCEXPLANATION                                = "I18NCOMMONSTCEXPLANATION"
	I18NCOMMONSTETYPEISILLEGAL                              = "I18NCOMMONSTETYPEISILLEGAL"
	I18NCOMMONSTOP                                          = "I18NCOMMONSTOP"
	I18NCOMMONSTOPWORK                                      = "I18NCOMMONSTOPWORK"
	I18NCOMMONSTORAGEFASTCHARGE                             = "I18NCOMMONSTORAGEFASTCHARGE"
	I18NCOMMONSTORE                                         = "I18NCOMMONSTORE"
	I18NCOMMONSTORM                                         = "I18NCOMMONSTORM"
	I18NCOMMONSTRINGSNUM                                    = "I18NCOMMONSTRINGSNUM"
	I18NCOMMONSTRINGFAILUREDESC                             = "I18NCOMMONSTRINGFAILUREDESC"
	I18NCOMMONSTRINGFAILURERATE                             = "I18NCOMMONSTRINGFAILURERATE"
	I18NCOMMONSTRINGFAILURERATEIS                           = "I18NCOMMONSTRINGFAILURERATEIS"
	I18NCOMMONSTRINGOPERATIONREPORT                         = "I18NCOMMONSTRINGOPERATIONREPORT"
	I18NCOMMONSTRONGBREEZE                                  = "I18NCOMMONSTRONGBREEZE"
	I18NCOMMONSTRONGGALE                                    = "I18NCOMMONSTRONGGALE"
	I18NCOMMONSTRONGWIND                                    = "I18NCOMMONSTRONGWIND"
	I18NCOMMONSUGGEST                                       = "I18NCOMMONSUGGEST"
	I18NCOMMONSUNGROWMALLEXCHANGE                           = "I18NCOMMONSUNGROWMALLEXCHANGE"
	I18NCOMMONSUNGROWPOWERTHEME                             = "I18NCOMMONSUNGROWPOWERTHEME"
	I18NCOMMONSUNHOME                                       = "I18NCOMMONSUNHOME"
	I18NCOMMONSWEEPTIME                                     = "I18NCOMMONSWEEPTIME"
	I18NCOMMONSWITCHIN                                      = "I18NCOMMONSWITCHIN"
	I18NCOMMONSWITCHOUT                                     = "I18NCOMMONSWITCHOUT"
	I18NCOMMONTASKCREATETIME                                = "I18NCOMMONTASKCREATETIME"
	I18NCOMMONTASKINFO                                      = "I18NCOMMONTASKINFO"
	I18NCOMMONTASKNAME                                      = "I18NCOMMONTASKNAME"
	I18NCOMMONTASKNOTEXIST                                  = "I18NCOMMONTASKNOTEXIST"
	I18NCOMMONTENTHOUSANDKM                                 = "I18NCOMMONTENTHOUSANDKM"
	I18NCOMMONTENTHOUSANDTON                                = "I18NCOMMONTENTHOUSANDTON"
	I18NCOMMONTENTHOUSANDTREES                              = "I18NCOMMONTENTHOUSANDTREES"
	I18NCOMMONTHEUSERBOUND                                  = "I18NCOMMONTHEUSERBOUND"
	I18NCOMMONTHIRDINVERTERSET                              = "I18NCOMMONTHIRDINVERTERSET"
	I18NCOMMONTHIRDSCHEDULEMODE                             = "I18NCOMMONTHIRDSCHEDULEMODE"
	I18NCOMMONTHISFAULTCONFIRMED                            = "I18NCOMMONTHISFAULTCONFIRMED"
	I18NCOMMONTHISSNOCCUPIED                                = "I18NCOMMONTHISSNOCCUPIED"
	I18NCOMMONTHISSNREGISTERED                              = "I18NCOMMONTHISSNREGISTERED"
	I18NCOMMONTIME                                          = "I18NCOMMONTIME"
	I18NCOMMONTIMEDPOWER                                    = "I18NCOMMONTIMEDPOWER"
	I18NCOMMONTIMECONSUM                                    = "I18NCOMMONTIMECONSUM"
	I18NCOMMONTIMEHOUR                                      = "I18NCOMMONTIMEHOUR"
	I18NCOMMONTIMEPICKERMINUTE                              = "I18NCOMMONTIMEPICKERMINUTE"
	I18NCOMMONTIMESECOND                                    = "I18NCOMMONTIMESECOND"
	I18NCOMMONTIMETYPE                                      = "I18NCOMMONTIMETYPE"
	I18NCOMMONTIMEZONE                                      = "I18NCOMMONTIMEZONE"
	I18NCOMMONTO1                                           = "I18NCOMMONTO1"
	I18NCOMMONTODAYINCOME                                   = "I18NCOMMONTODAYINCOME"
	I18NCOMMONTODAYCO2                                      = "I18NCOMMONTODAYCO2"
	I18NCOMMONTOKENLOGINERROR                               = "I18NCOMMONTOKENLOGINERROR"
	I18NCOMMONTOKENISINVALID                                = "I18NCOMMONTOKENISINVALID"
	I18NCOMMONTON                                           = "I18NCOMMONTON"
	I18NCOMMONTOTAL2                                        = "I18NCOMMONTOTAL2"
	I18NCOMMONTOTAL3                                        = "I18NCOMMONTOTAL3"
	I18NCOMMONTOTALCHARGEAMOUNT                             = "I18NCOMMONTOTALCHARGEAMOUNT"
	I18NCOMMONTOTALCHARGEFET                                = "I18NCOMMONTOTALCHARGEFET"
	I18NCOMMONTOTALCO2                                      = "I18NCOMMONTOTALCO2"
	I18NCOMMONTOTALDISCHARGEFET                             = "I18NCOMMONTOTALDISCHARGEFET"
	I18NCOMMONTOTALINCOME                                   = "I18NCOMMONTOTALINCOME"
	I18NCOMMONTOTALYIELD                                    = "I18NCOMMONTOTALYIELD"
	I18NCOMMONTREES                                         = "I18NCOMMONTREES"
	I18NCOMMONTROUBLEDEVICE                                 = "I18NCOMMONTROUBLEDEVICE"
	I18NCOMMONTROUGH                                        = "I18NCOMMONTROUGH"
	I18NCOMMONTYPHOON                                       = "I18NCOMMONTYPHOON"
	I18NCOMMONUNBOUNDED                                     = "I18NCOMMONUNBOUNDED"
	I18NCOMMONUNCONFIRMED                                   = "I18NCOMMONUNCONFIRMED"
	I18NCOMMONUNIDENTIFIED                                  = "I18NCOMMONUNIDENTIFIED"
	I18NCOMMONUNISSUED                                      = "I18NCOMMONUNISSUED"
	I18NCOMMONUNITLEVEL                                     = "I18NCOMMONUNITLEVEL"
	I18NCOMMONUNITSTOREPOWER                                = "I18NCOMMONUNITSTOREPOWER"
	I18NCOMMONUNKNOWNDEVICE                                 = "I18NCOMMONUNKNOWNDEVICE"
	I18NCOMMONUNKNOWNDEVICEINTERVAL                         = "I18NCOMMONUNKNOWNDEVICEINTERVAL"
	I18NCOMMONUNNORMALPVNUMBER                              = "I18NCOMMONUNNORMALPVNUMBER"
	I18NCOMMONUNNORMALSTRINGNUMBER                          = "I18NCOMMONUNNORMALSTRINGNUMBER"
	I18NCOMMONUPDATEINDEBTREMINDANDMONITORSTRATEGY          = "I18NCOMMONUPDATEINDEBTREMINDANDMONITORSTRATEGY"
	I18NCOMMONUPDATEPOWERPLANTSUCCESS                       = "I18NCOMMONUPDATEPOWERPLANTSUCCESS"
	I18NCOMMONUSER                                          = "I18NCOMMONUSER"
	I18NCOMMONUSERACCOUNTINVALIDFORMAT                      = "I18NCOMMONUSERACCOUNTINVALIDFORMAT"
	I18NCOMMONUSERACCOUTREPEATTIP                           = "I18NCOMMONUSERACCOUTREPEATTIP"
	I18NCOMMONUSERDELETE                                    = "I18NCOMMONUSERDELETE"
	I18NCOMMONUSERDIDNOTRECENOTICE                          = "I18NCOMMONUSERDIDNOTRECENOTICE"
	I18NCOMMONUSEREMAILEXIS                                 = "I18NCOMMONUSEREMAILEXIS"
	I18NCOMMONUSEREXISTED                                   = "I18NCOMMONUSEREXISTED"
	I18NCOMMONUSERGDPRFORBIDBINDUNBIND                      = "I18NCOMMONUSERGDPRFORBIDBINDUNBIND"
	I18NCOMMONUSERGDPRGETVALIDCODEERROE                     = "I18NCOMMONUSERGDPRGETVALIDCODEERROE"
	I18NCOMMONUSERGDPRUSERINFOSAVEERROR                     = "I18NCOMMONUSERGDPRUSERINFOSAVEERROR"
	I18NCOMMONUSERHASHOUNDEMAIL                             = "I18NCOMMONUSERHASHOUNDEMAIL"
	I18NCOMMONUSERHASHOUNDPHONE                             = "I18NCOMMONUSERHASHOUNDPHONE"
	I18NCOMMONUSERHASNOTBOUNDPHONE                          = "I18NCOMMONUSERHASNOTBOUNDPHONE"
	I18NCOMMONUSERLOCKED                                    = "I18NCOMMONUSERLOCKED"
	I18NCOMMONUSERLOCKEDBINDING                             = "I18NCOMMONUSERLOCKEDBINDING"
	I18NCOMMONUSERNOTEXIST                                  = "I18NCOMMONUSERNOTEXIST"
	I18NCOMMONUSERPASSWORDDECRYPTERROR                      = "I18NCOMMONUSERPASSWORDDECRYPTERROR"
	I18NCOMMONUSERUNLOCK                                    = "I18NCOMMONUSERUNLOCK"
	I18NCOMMONUSHORTFORECAST                                = "I18NCOMMONUSHORTFORECAST"
	I18NCOMMONVALIDATECODE                                  = "I18NCOMMONVALIDATECODE"
	I18NCOMMONVALTAGE                                       = "I18NCOMMONVALTAGE"
	I18NCOMMONWAN                                           = "I18NCOMMONWAN"
	I18NCOMMONWARN                                          = "I18NCOMMONWARN"
	I18NCOMMONWEBSITEFOOT                                   = "I18NCOMMONWEBSITEFOOT"
	I18NCOMMONWEEKREPORT                                    = "I18NCOMMONWEEKREPORT"
	I18NCOMMONWEST                                          = "I18NCOMMONWEST"
	I18NCOMMONWESTNORTHWEST                                 = "I18NCOMMONWESTNORTHWEST"
	I18NCOMMONWESTSOUTHWEST                                 = "I18NCOMMONWESTSOUTHWEST"
	I18NCOMMONWHOLEGALE                                     = "I18NCOMMONWHOLEGALE"
	I18NCOMMONWINDDIRECTION1                                = "I18NCOMMONWINDDIRECTION1"
	I18NCOMMONWORKONDUTYINFO                                = "I18NCOMMONWORKONDUTYINFO"
	I18NCOMMONWORKONETICKETADD                              = "I18NCOMMONWORKONETICKETADD"
	I18NCOMMONWORKORDERAPPROVAL                             = "I18NCOMMONWORKORDERAPPROVAL"
	I18NCOMMONWORKORDEREVALUATION                           = "I18NCOMMONWORKORDEREVALUATION"
	I18NCOMMONWORKORDERPROCESSED                            = "I18NCOMMONWORKORDERPROCESSED"
	I18NCOMMONWORSE                                         = "I18NCOMMONWORSE"
	I18NCOMMONYEAR                                          = "I18NCOMMONYEAR"
	I18NCOMMONYEARCO2                                       = "I18NCOMMONYEARCO2"
	I18NCOMMONYEARELEC                                      = "I18NCOMMONYEARELEC"
	I18NCOMMONYEARINCOME                                    = "I18NCOMMONYEARINCOME"
	I18NCOMMONYEARREPORT                                    = "I18NCOMMONYEARREPORT"
	I18NCOMMONYOURPLANT                                     = "I18NCOMMONYOURPLANT"
	I18NCOMMONCHARGINGINITIALIZATIONMODEXKPLPEXO            = "I18NCOMMONCHARGINGINITIALIZATIONMODEXKPLPEXO"
	I18NCOMMUNICATIONEQUIPMENTSN                            = "I18NCOMMUNICATIONEQUIPMENTSN"
	I18NCONFIG104STATISTCS                                  = "I18NCONFIG104STATISTCS"
	I18NCONFIGKEY1003276                                    = "I18NCONFIGKEY1003276"
	I18NCONFIGKEY1003407                                    = "I18NCONFIGKEY1003407"
	I18NCONFIGKEY1004008                                    = "I18NCONFIGKEY1004008"
	I18NCONFIGKEY2042                                       = "I18NCONFIGKEY2042"
	I18NCONFIGKEY2949                                       = "I18NCONFIGKEY2949"
	I18NCONFIGKEYRXNL1526680                                = "I18NCONFIGKEYRXNL1526680"
	I18NCONFIGKEYRXNL1526681                                = "I18NCONFIGKEYRXNL1526681"
	I18NDBEMAILTEMPLATE30                                   = "I18NDBEMAILTEMPLATE30"
	I18NINSIGHTALARMSHIELDSQUARENAME                        = "I18NINSIGHTALARMSHIELDSQUARENAME"
	I18NINSIGHTANALYSISAVERAGECURRENTRATIO                  = "I18NINSIGHTANALYSISAVERAGECURRENTRATIO"
	I18NINSIGHTANALYSISAVERAGEPOWERRATIO                    = "I18NINSIGHTANALYSISAVERAGEPOWERRATIO"
	I18NINSIGHTANALYSISEQUIVALENTHOURLYRATIO                = "I18NINSIGHTANALYSISEQUIVALENTHOURLYRATIO"
	I18NINSIGHTDISTRIBUTEPHALANX                            = "I18NINSIGHTDISTRIBUTEPHALANX"
	I18NINSIGHTEXCELCSVREPORT                               = "I18NINSIGHTEXCELCSVREPORT"
	I18NINSIGHTEXCELREPORT                                  = "I18NINSIGHTEXCELREPORT"
	I18NINSIGHTMESSAGEUSERNAMEEXIST                         = "I18NINSIGHTMESSAGEUSERNAMEEXIST"
	I18NINSIGHTMONTHLYOPERATIONTIME                         = "I18NINSIGHTMONTHLYOPERATIONTIME"
	I18NINSIGHTOTHERS                                       = "I18NINSIGHTOTHERS"
	I18NINSIGHTPERMISSIONLINK                               = "I18NINSIGHTPERMISSIONLINK"
	I18NINSIGHTPOWERSTATIONMANAGEQUESTIONTYPE               = "I18NINSIGHTPOWERSTATIONMANAGEQUESTIONTYPE"
	I18NINSIGHTSTATISTICALINFORMATION                       = "I18NINSIGHTSTATISTICALINFORMATION"
	I18NINSIGHTSVGCONFIGSVGTEMPLATE                         = "I18NINSIGHTSVGCONFIGSVGTEMPLATE"
	I18NINSIGHTUSERINFOMODIFY                               = "I18NINSIGHTUSERINFOMODIFY"
	I18NIVPDFSTCDATA                                        = "I18NIVPDFSTCDATA"
	I18NMENUNAME9NRVTMVT                                    = "I18NMENUNAME9NRVTMVT"
	I18NMENUORCONFIGIIO9KESW                                = "I18NMENUORCONFIGIIO9KESW"
	I18NPARAMSETTINGACTIVEPOWERLIMITRATIOMAXVALUE           = "I18NPARAMSETTINGACTIVEPOWERLIMITRATIOMAXVALUE"
	I18NPOINTFOSG1525236                                    = "I18NPOINTFOSG1525236"
	I18NRENEWCUSTOMERSUPDATE                                = "I18NRENEWCUSTOMERSUPDATE"
	I18NUNOMALSTOP                                          = "I18NUNOMALSTOP"
)
