package getUserPsOrderList

import (
	"GoSungrow/iSolarCloud/api"
	"GoSungrow/iSolarCloud/api/GoStruct"
	"GoSungrow/iSolarCloud/api/GoStruct/valueTypes"
	"github.com/MickMake/GoUnify/Only"
	"fmt"
)

const Url = "/v1/faultService/getUserPsOrderList"
const Disabled = false
const EndPointName = "AppService.getUserPsOrderList"

type RequestData struct {
}

func (rd RequestData) IsValid() error {
	return GoStruct.VerifyOptionsRequired(rd)
}

func (rd RequestData) Help() string {
	ret := fmt.Sprintf("")
	return ret
}

type ResultData struct {
	CurPage    valueTypes.Integer   `json:"curPage" PointId:"cur_page"`
	IsMore     valueTypes.Bool      `json:"isMore" PointId:"is_more"`
	PageList   []interface{} `json:"pageList" PointId:"page_list" PointIdReplace:"true" PointArrayFlatten:"false"`
	RowCount   valueTypes.Integer   `json:"rowCount" PointId:"row_count"`
	Size       valueTypes.Integer   `json:"size"`
	StartIndex interface{}   `json:"startIndex" PointId:"start_index"`
	TotalPage  interface{}   `json:"totalPage" PointId:"total_page"`
}

func (e *ResultData) IsValid() error {
	var err error
	//switch {
	//case e.Dummy == "":
	//	break
	//default:
	//	err = errors.New(fmt.Sprintf("unknown error '%s'", e.Dummy))
	//}
	return err
}

//type DecodeResultData ResultData
//
//func (e *ResultData) UnmarshalJSON(data []byte) error {
//	var err error
//
//	for range Only.Once {
//		if len(data) == 0 {
//			break
//		}
//		var pd DecodeResultData
//
//		// Store ResultData
//		_ = json.Unmarshal(data, &pd)
//		e.Dummy = pd.Dummy
//	}
//
//	return err
//}

func (e *EndPoint) GetData() api.DataMap {
	entries := api.NewDataMap()

	for range Only.Once {
		entries.StructToDataMap(*e, "", GoStruct.EndPointPath{})
	}

	return entries
}
