package getModelPoints

import (
	"GoSungrow/iSolarCloud/api"
	"GoSungrow/iSolarCloud/api/GoStruct"
	"GoSungrow/iSolarCloud/api/GoStruct/valueTypes"
	"fmt"
	"github.com/MickMake/GoUnify/Only"
)

const Url = "/v1/devService/getModelPoints"
const Disabled = false
const EndPointName = "WebIscmAppService.getModelPoints"

type RequestData struct {
	DeviceModelId valueTypes.String `json:"device_model_id" required:"true"`
}

func (rd RequestData) IsValid() error {
	return GoStruct.VerifyOptionsRequired(rd)
}

func (rd RequestData) Help() string {
	ret := fmt.Sprintf("")
	return ret
}

type ResultData []struct {
	GoStructParent GoStruct.GoStructParent  `json:"-" DataTable:"true" DataTableSortOn:"PointId"`

	DeviceModelId valueTypes.Integer `json:"device_model_id"`
	PointId       valueTypes.Integer `json:"point_id"`
	CodeId        valueTypes.Integer `json:"code_id"`
	OrderNum      valueTypes.Integer `json:"order_num"`
}

func (e *ResultData) IsValid() error {
	var err error
	return err
}

func (e *EndPoint) GetData() api.DataMap {
	entries := api.NewDataMap()

	for range Only.Once {
		entries.StructToDataMap(*e, "", GoStruct.EndPointPath{})
	}

	return entries
}
